      function gain(band, bearing)
      integer band, TWELVE_MHZ, EIGHTEEN_MHZ
      parameter(
     &   TWELVE_MHZ = 1,
     &   EIGHTEEN_MHZ = 2,
     &   NUMVAL = 601)
      common /patterns/ cars(2, NUMVAL), eighteen_ghz(2, NUMVAL)
      real interpolated_value
      n = 1
      if (band .eq. TWELVE_MHZ) then
         if (cars(1, 1) .gt. bearing) stop 'bearing too negative'
         do while (cars(1, n) .lt. bearing)
            n = n + 1
            if (n .eq. NUMVAL) then
               gain = cars(2, n)
               return
            end if
         end do
         x1 = cars(1, n)
         x2 = cars(1, n+1)
         y1 = cars(2, n)
         y2 = cars(2, n+1)
      else if (band .eq. EIGHTEEN_MHZ) then
         if (eighteen_ghz(1, 1) .gt. bearing)
     &      stop 'bearing too negative (18 GHz antenna pattern)'
         do while (eighteen_ghz(1, n) .lt. bearing)
            n = n + 1
            if (n .eq. NUMVAL) then
               gain = eighteen_ghz(2, n)
               return
            end if
         end do
         x1 = eighteen_ghz(1, n)
         x2 = eighteen_ghz(1, n+1)
         y1 = eighteen_ghz(2, n)
         y2 = eighteen_ghz(2, n+1)
      else
          stop 'band identifier out of range'
      end if
      gain = interpolated_value(bearing, x1, x2, y1, y2)
      end

      real function interpolated_value(x, x1, x2, y1, y2)
      interpolated_value = y1 + ((x-x1)/(x2-x1))*(y2-y1)
      end

      block data antenna_gains
      parameter (NUMVAL=601)
      common /patterns/ cars(2, NUMVAL), eighteen_ghz(2, NUMVAL)
      data (cars(i,   1), i=1, 2) /-30,   -46.5/
      data (cars(i,   2), i=1, 2) /-29.9, -46.485/
      data (cars(i,   3), i=1, 2) /-29.8, -46.47/
      data (cars(i,   4), i=1, 2) /-29.7, -46.455/
      data (cars(i,   5), i=1, 2) /-29.6, -46.44/
      data (cars(i,   6), i=1, 2) /-29.5, -46.425/
      data (cars(i,   7), i=1, 2) /-29.4, -46.41/
      data (cars(i,   8), i=1, 2) /-29.3, -46.395/
      data (cars(i,   9), i=1, 2) /-29.2, -46.38/
      data (cars(i,  10), i=1, 2) /-29.1, -46.365/
      data (cars(i,  11), i=1, 2) /-29,   -46.35/
      data (cars(i,  12), i=1, 2) /-28.9, -46.335/
      data (cars(i,  13), i=1, 2) /-28.8, -46.32/
      data (cars(i,  14), i=1, 2) /-28.7, -46.305/
      data (cars(i,  15), i=1, 2) /-28.6, -46.29/
      data (cars(i,  16), i=1, 2) /-28.5, -46.275/
      data (cars(i,  17), i=1, 2) /-28.4, -46.26/
      data (cars(i,  18), i=1, 2) /-28.3, -46.245/
      data (cars(i,  19), i=1, 2) /-28.2, -46.23/
      data (cars(i,  20), i=1, 2) /-28.1, -46.215/
      data (cars(i,  21), i=1, 2) /-28,   -46.2/
      data (cars(i,  22), i=1, 2) /-27.9, -46.185/
      data (cars(i,  23), i=1, 2) /-27.8, -46.17/
      data (cars(i,  24), i=1, 2) /-27.7, -46.155/
      data (cars(i,  25), i=1, 2) /-27.6, -46.14/
      data (cars(i,  26), i=1, 2) /-27.5, -46.125/
      data (cars(i,  27), i=1, 2) /-27.4, -46.11/
      data (cars(i,  28), i=1, 2) /-27.3, -46.095/
      data (cars(i,  29), i=1, 2) /-27.2, -46.08/
      data (cars(i,  30), i=1, 2) /-27.1, -46.065/
      data (cars(i,  31), i=1, 2) /-27,   -46.05/
      data (cars(i,  32), i=1, 2) /-26.9, -46.035/
      data (cars(i,  33), i=1, 2) /-26.8, -46.02/
      data (cars(i,  34), i=1, 2) /-26.7, -46.005/
      data (cars(i,  35), i=1, 2) /-26.6, -45.99/
      data (cars(i,  36), i=1, 2) /-26.5, -45.975/
      data (cars(i,  37), i=1, 2) /-26.4, -45.96/
      data (cars(i,  38), i=1, 2) /-26.3, -45.945/
      data (cars(i,  39), i=1, 2) /-26.2, -45.93/
      data (cars(i,  40), i=1, 2) /-26.1, -45.915/
      data (cars(i,  41), i=1, 2) /-26,   -45.9/
      data (cars(i,  42), i=1, 2) /-25.9, -45.885/
      data (cars(i,  43), i=1, 2) /-25.8, -45.87/
      data (cars(i,  44), i=1, 2) /-25.7, -45.855/
      data (cars(i,  45), i=1, 2) /-25.6, -45.84/
      data (cars(i,  46), i=1, 2) /-25.5, -45.825/
      data (cars(i,  47), i=1, 2) /-25.4, -45.81/
      data (cars(i,  48), i=1, 2) /-25.3, -45.795/
      data (cars(i,  49), i=1, 2) /-25.2, -45.78/
      data (cars(i,  50), i=1, 2) /-25.1, -45.765/
      data (cars(i,  51), i=1, 2) /-25,   -45.75/
      data (cars(i,  52), i=1, 2) /-24.9, -45.735/
      data (cars(i,  53), i=1, 2) /-24.8, -45.72/
      data (cars(i,  54), i=1, 2) /-24.7, -45.705/
      data (cars(i,  55), i=1, 2) /-24.6, -45.69/
      data (cars(i,  56), i=1, 2) /-24.5, -45.675/
      data (cars(i,  57), i=1, 2) /-24.4, -45.66/
      data (cars(i,  58), i=1, 2) /-24.3, -45.645/
      data (cars(i,  59), i=1, 2) /-24.2, -45.63/
      data (cars(i,  60), i=1, 2) /-24.1, -45.615/
      data (cars(i,  61), i=1, 2) /-24,   -45.6/
      data (cars(i,  62), i=1, 2) /-23.9, -45.585/
      data (cars(i,  63), i=1, 2) /-23.8, -45.57/
      data (cars(i,  64), i=1, 2) /-23.7, -45.555/
      data (cars(i,  65), i=1, 2) /-23.6, -45.54/
      data (cars(i,  66), i=1, 2) /-23.5, -45.525/
      data (cars(i,  67), i=1, 2) /-23.4, -45.51/
      data (cars(i,  68), i=1, 2) /-23.3, -45.495/
      data (cars(i,  69), i=1, 2) /-23.2, -45.48/
      data (cars(i,  70), i=1, 2) /-23.1, -45.465/
      data (cars(i,  71), i=1, 2) /-23,   -45.45/
      data (cars(i,  72), i=1, 2) /-22.9, -45.435/
      data (cars(i,  73), i=1, 2) /-22.8, -45.42/
      data (cars(i,  74), i=1, 2) /-22.7, -45.405/
      data (cars(i,  75), i=1, 2) /-22.6, -45.39/
      data (cars(i,  76), i=1, 2) /-22.5, -45.375/
      data (cars(i,  77), i=1, 2) /-22.4, -45.36/
      data (cars(i,  78), i=1, 2) /-22.3, -45.345/
      data (cars(i,  79), i=1, 2) /-22.2, -45.33/
      data (cars(i,  80), i=1, 2) /-22.1, -45.315/
      data (cars(i,  81), i=1, 2) /-22,   -45.3/
      data (cars(i,  82), i=1, 2) /-21.9, -45.285/
      data (cars(i,  83), i=1, 2) /-21.8, -45.27/
      data (cars(i,  84), i=1, 2) /-21.7, -45.255/
      data (cars(i,  85), i=1, 2) /-21.6, -45.24/
      data (cars(i,  86), i=1, 2) /-21.5, -45.225/
      data (cars(i,  87), i=1, 2) /-21.4, -45.21/
      data (cars(i,  88), i=1, 2) /-21.3, -45.195/
      data (cars(i,  89), i=1, 2) /-21.2, -45.18/
      data (cars(i,  90), i=1, 2) /-21.1, -45.165/
      data (cars(i,  91), i=1, 2) /-21,   -45.15/
      data (cars(i,  92), i=1, 2) /-20.9, -45.135/
      data (cars(i,  93), i=1, 2) /-20.8, -45.12/
      data (cars(i,  94), i=1, 2) /-20.7, -45.105/
      data (cars(i,  95), i=1, 2) /-20.6, -45.09/
      data (cars(i,  96), i=1, 2) /-20.5, -45.075/
      data (cars(i,  97), i=1, 2) /-20.4, -45.06/
      data (cars(i,  98), i=1, 2) /-20.3, -45.045/
      data (cars(i,  99), i=1, 2) /-20.2, -45.03/
      data (cars(i, 100), i=1, 2) /-20.1, -45.015/
      data (cars(i, 101), i=1, 2) /-20,   -45/
      data (cars(i, 102), i=1, 2) /-19.9, -45/
      data (cars(i, 103), i=1, 2) /-19.8, -45/
      data (cars(i, 104), i=1, 2) /-19.7, -45/
      data (cars(i, 105), i=1, 2) /-19.6, -45/
      data (cars(i, 106), i=1, 2) /-19.5, -45/
      data (cars(i, 107), i=1, 2) /-19.4, -45/
      data (cars(i, 108), i=1, 2) /-19.3, -45/
      data (cars(i, 109), i=1, 2) /-19.2, -45/
      data (cars(i, 110), i=1, 2) /-19.1, -45/
      data (cars(i, 111), i=1, 2) /-19,   -45/
      data (cars(i, 112), i=1, 2) /-18.9, -45/
      data (cars(i, 113), i=1, 2) /-18.8, -45/
      data (cars(i, 114), i=1, 2) /-18.7, -45/
      data (cars(i, 115), i=1, 2) /-18.6, -45/
      data (cars(i, 116), i=1, 2) /-18.5, -45/
      data (cars(i, 117), i=1, 2) /-18.4, -45/
      data (cars(i, 118), i=1, 2) /-18.3, -45/
      data (cars(i, 119), i=1, 2) /-18.2, -45/
      data (cars(i, 120), i=1, 2) /-18.1, -45/
      data (cars(i, 121), i=1, 2) /-18,   -45/
      data (cars(i, 122), i=1, 2) /-17.9, -45/
      data (cars(i, 123), i=1, 2) /-17.8, -45/
      data (cars(i, 124), i=1, 2) /-17.7, -45/
      data (cars(i, 125), i=1, 2) /-17.6, -45/
      data (cars(i, 126), i=1, 2) /-17.5, -45/
      data (cars(i, 127), i=1, 2) /-17.4, -45/
      data (cars(i, 128), i=1, 2) /-17.3, -45/
      data (cars(i, 129), i=1, 2) /-17.2, -45/
      data (cars(i, 130), i=1, 2) /-17.1, -45/
      data (cars(i, 131), i=1, 2) /-17,   -45/
      data (cars(i, 132), i=1, 2) /-16.9, -45/
      data (cars(i, 133), i=1, 2) /-16.8, -45/
      data (cars(i, 134), i=1, 2) /-16.7, -45/
      data (cars(i, 135), i=1, 2) /-16.6, -45/
      data (cars(i, 136), i=1, 2) /-16.5, -45/
      data (cars(i, 137), i=1, 2) /-16.4, -45/
      data (cars(i, 138), i=1, 2) /-16.3, -45/
      data (cars(i, 139), i=1, 2) /-16.2, -45/
      data (cars(i, 140), i=1, 2) /-16.1, -45/
      data (cars(i, 141), i=1, 2) /-16,   -45/
      data (cars(i, 142), i=1, 2) /-15.9, -45/
      data (cars(i, 143), i=1, 2) /-15.8, -45/
      data (cars(i, 144), i=1, 2) /-15.7, -45/
      data (cars(i, 145), i=1, 2) /-15.6, -45/
      data (cars(i, 146), i=1, 2) /-15.5, -45/
      data (cars(i, 147), i=1, 2) /-15.4, -45/
      data (cars(i, 148), i=1, 2) /-15.3, -45/
      data (cars(i, 149), i=1, 2) /-15.2, -45/
      data (cars(i, 150), i=1, 2) /-15.1, -45/
      data (cars(i, 151), i=1, 2) /-15,   -45/
      data (cars(i, 152), i=1, 2) /-14.9, -45/
      data (cars(i, 153), i=1, 2) /-14.8, -45/
      data (cars(i, 154), i=1, 2) /-14.7, -45/
      data (cars(i, 155), i=1, 2) /-14.6, -45/
      data (cars(i, 156), i=1, 2) /-14.5, -45/
      data (cars(i, 157), i=1, 2) /-14.4, -45/
      data (cars(i, 158), i=1, 2) /-14.3, -45/
      data (cars(i, 159), i=1, 2) /-14.2, -45/
      data (cars(i, 160), i=1, 2) /-14.1, -45/
      data (cars(i, 161), i=1, 2) /-14,   -45/
      data (cars(i, 162), i=1, 2) /-13.9, -45/
      data (cars(i, 163), i=1, 2) /-13.8, -45/
      data (cars(i, 164), i=1, 2) /-13.7, -45/
      data (cars(i, 165), i=1, 2) /-13.6, -45/
      data (cars(i, 166), i=1, 2) /-13.5, -45/
      data (cars(i, 167), i=1, 2) /-13.4, -45/
      data (cars(i, 168), i=1, 2) /-13.3, -45/
      data (cars(i, 169), i=1, 2) /-13.2, -45/
      data (cars(i, 170), i=1, 2) /-13.1, -45/
      data (cars(i, 171), i=1, 2) /-13,   -45/
      data (cars(i, 172), i=1, 2) /-12.9, -45/
      data (cars(i, 173), i=1, 2) /-12.8, -45/
      data (cars(i, 174), i=1, 2) /-12.7, -45/
      data (cars(i, 175), i=1, 2) /-12.6, -45/
      data (cars(i, 176), i=1, 2) /-12.5, -45/
      data (cars(i, 177), i=1, 2) /-12.4, -45/
      data (cars(i, 178), i=1, 2) /-12.3, -45/
      data (cars(i, 179), i=1, 2) /-12.2, -45/
      data (cars(i, 180), i=1, 2) /-12.1, -45/
      data (cars(i, 181), i=1, 2) /-12,   -45/
      data (cars(i, 182), i=1, 2) /-11.9, -45/
      data (cars(i, 183), i=1, 2) /-11.8, -45/
      data (cars(i, 184), i=1, 2) /-11.7, -45/
      data (cars(i, 185), i=1, 2) /-11.6, -45/
      data (cars(i, 186), i=1, 2) /-11.5, -45/
      data (cars(i, 187), i=1, 2) /-11.4, -45/
      data (cars(i, 188), i=1, 2) /-11.3, -45/
      data (cars(i, 189), i=1, 2) /-11.2, -45/
      data (cars(i, 190), i=1, 2) /-11.1, -45/
      data (cars(i, 191), i=1, 2) /-11,   -45/
      data (cars(i, 192), i=1, 2) /-10.9, -44.76/
      data (cars(i, 193), i=1, 2) /-10.8, -44.52/
      data (cars(i, 194), i=1, 2) /-10.7, -44.28/
      data (cars(i, 195), i=1, 2) /-10.6, -44.04/
      data (cars(i, 196), i=1, 2) /-10.5, -43.8/
      data (cars(i, 197), i=1, 2) /-10.4, -43.56/
      data (cars(i, 198), i=1, 2) /-10.3, -43.32/
      data (cars(i, 199), i=1, 2) /-10.2, -43.08/
      data (cars(i, 200), i=1, 2) /-10.1, -42.84/
      data (cars(i, 201), i=1, 2) /-10,   -42.6/
      data (cars(i, 202), i=1, 2) /-9.9,  -42.36/
      data (cars(i, 203), i=1, 2) /-9.8,  -42.12/
      data (cars(i, 204), i=1, 2) /-9.7,  -41.88/
      data (cars(i, 205), i=1, 2) /-9.6,  -41.64/
      data (cars(i, 206), i=1, 2) /-9.5,  -41.4/
      data (cars(i, 207), i=1, 2) /-9.4,  -41.16/
      data (cars(i, 208), i=1, 2) /-9.3,  -40.92/
      data (cars(i, 209), i=1, 2) /-9.2,  -40.68/
      data (cars(i, 210), i=1, 2) /-9.1,  -40.44/
      data (cars(i, 211), i=1, 2) /-9,    -40.2/
      data (cars(i, 212), i=1, 2) /-8.9,  -39.96/
      data (cars(i, 213), i=1, 2) /-8.8,  -39.72/
      data (cars(i, 214), i=1, 2) /-8.7,  -39.48/
      data (cars(i, 215), i=1, 2) /-8.6,  -39.24/
      data (cars(i, 216), i=1, 2) /-8.5,  -39/
      data (cars(i, 217), i=1, 2) /-8.4,  -39/
      data (cars(i, 218), i=1, 2) /-8.3,  -39/
      data (cars(i, 219), i=1, 2) /-8.2,  -39/
      data (cars(i, 220), i=1, 2) /-8.1,  -39/
      data (cars(i, 221), i=1, 2) /-8,    -39/
      data (cars(i, 222), i=1, 2) /-7.9,  -39/
      data (cars(i, 223), i=1, 2) /-7.8,  -39/
      data (cars(i, 224), i=1, 2) /-7.7,  -39/
      data (cars(i, 225), i=1, 2) /-7.6,  -39/
      data (cars(i, 226), i=1, 2) /-7.5,  -39/
      data (cars(i, 227), i=1, 2) /-7.4,  -39/
      data (cars(i, 228), i=1, 2) /-7.3,  -39/
      data (cars(i, 229), i=1, 2) /-7.2,  -39/
      data (cars(i, 230), i=1, 2) /-7.1,  -39/
      data (cars(i, 231), i=1, 2) /-7,    -39/
      data (cars(i, 232), i=1, 2) /-6.9,  -39/
      data (cars(i, 233), i=1, 2) /-6.8,  -39/
      data (cars(i, 234), i=1, 2) /-6.7,  -39/
      data (cars(i, 235), i=1, 2) /-6.6,  -39/
      data (cars(i, 236), i=1, 2) /-6.5,  -39/
      data (cars(i, 237), i=1, 2) /-6.4,  -39/
      data (cars(i, 238), i=1, 2) /-6.3,  -39/
      data (cars(i, 239), i=1, 2) /-6.2,  -39/
      data (cars(i, 240), i=1, 2) /-6.1,  -39/
      data (cars(i, 241), i=1, 2) /-6,    -39/
      data (cars(i, 242), i=1, 2) /-5.9,  -38.52/
      data (cars(i, 243), i=1, 2) /-5.8,  -38.04/
      data (cars(i, 244), i=1, 2) /-5.7,  -37.56/
      data (cars(i, 245), i=1, 2) /-5.6,  -37.08/
      data (cars(i, 246), i=1, 2) /-5.5,  -36.6/
      data (cars(i, 247), i=1, 2) /-5.4,  -36.12/
      data (cars(i, 248), i=1, 2) /-5.3,  -35.64/
      data (cars(i, 249), i=1, 2) /-5.2,  -35.16/
      data (cars(i, 250), i=1, 2) /-5.1,  -34.68/
      data (cars(i, 251), i=1, 2) /-5,    -34.2/
      data (cars(i, 252), i=1, 2) /-4.9,  -33.72/
      data (cars(i, 253), i=1, 2) /-4.8,  -33.24/
      data (cars(i, 254), i=1, 2) /-4.7,  -32.76/
      data (cars(i, 255), i=1, 2) /-4.6,  -32.28/
      data (cars(i, 256), i=1, 2) /-4.5,  -31.8/
      data (cars(i, 257), i=1, 2) /-4.4,  -31.32/
      data (cars(i, 258), i=1, 2) /-4.3,  -30.84/
      data (cars(i, 259), i=1, 2) /-4.2,  -30.36/
      data (cars(i, 260), i=1, 2) /-4.1,  -29.88/
      data (cars(i, 261), i=1, 2) /-4,    -29.4/
      data (cars(i, 262), i=1, 2) /-3.9,  -28.92/
      data (cars(i, 263), i=1, 2) /-3.8,  -28.44/
      data (cars(i, 264), i=1, 2) /-3.7,  -27.96/
      data (cars(i, 265), i=1, 2) /-3.6,  -27.48/
      data (cars(i, 266), i=1, 2) /-3.5,  -27/
      data (cars(i, 267), i=1, 2) /-3.4,  -26.9/
      data (cars(i, 268), i=1, 2) /-3.3,  -26.8/
      data (cars(i, 269), i=1, 2) /-3.2,  -26.7/
      data (cars(i, 270), i=1, 2) /-3.1,  -26.6/
      data (cars(i, 271), i=1, 2) /-3,    -26.5/
      data (cars(i, 272), i=1, 2) /-2.9,  -26.4/
      data (cars(i, 273), i=1, 2) /-2.8,  -26.3/
      data (cars(i, 274), i=1, 2) /-2.7,  -26.2/
      data (cars(i, 275), i=1, 2) /-2.6,  -26.1/
      data (cars(i, 276), i=1, 2) /-2.5,  -26/
      data (cars(i, 277), i=1, 2) /-2.4,  -25.9/
      data (cars(i, 278), i=1, 2) /-2.3,  -25.8/
      data (cars(i, 279), i=1, 2) /-2.2,  -25.7/
      data (cars(i, 280), i=1, 2) /-2.1,  -25.6/
      data (cars(i, 281), i=1, 2) /-2,    -25.5/
      data (cars(i, 282), i=1, 2) /-1.9,  -25.4/
      data (cars(i, 283), i=1, 2) /-1.8,  -25.3/
      data (cars(i, 284), i=1, 2) /-1.7,  -25.2/
      data (cars(i, 285), i=1, 2) /-1.6,  -25.1/
      data (cars(i, 286), i=1, 2) /-1.5,  -25/
      data (cars(i, 287), i=1, 2) /-1.4,  -21.6/
      data (cars(i, 288), i=1, 2) /-1.3,  -18.2/
      data (cars(i, 289), i=1, 2) /-1.2,  -14.8/
      data (cars(i, 290), i=1, 2) /-1.1,  -11.4/
      data (cars(i, 291), i=1, 2) /-1,    -8/
      data (cars(i, 292), i=1, 2) /-0.9,  -7/
      data (cars(i, 293), i=1, 2) /-0.8,  -6/
      data (cars(i, 294), i=1, 2) /-0.7,  -5/
      data (cars(i, 295), i=1, 2) /-0.6,  -4/
      data (cars(i, 296), i=1, 2) /-0.5,  -3/
      data (cars(i, 297), i=1, 2) /-0.4,  -2.4/
      data (cars(i, 298), i=1, 2) /-0.3,  -1.8/
      data (cars(i, 299), i=1, 2) /-0.2,  -1.2/
      data (cars(i, 300), i=1, 2) /-0.1,  -0.6/
      data (cars(i, 301), i=1, 2) / 0,     0.0/
      data (cars(i, 302), i=1, 2) / 0.1,  -0.6/
      data (cars(i, 303), i=1, 2) / 0.2,  -1.2/
      data (cars(i, 304), i=1, 2) / 0.3,  -1.8/
      data (cars(i, 305), i=1, 2) / 0.4,  -2.4/
      data (cars(i, 306), i=1, 2) / 0.5,  -3/
      data (cars(i, 307), i=1, 2) / 0.6,  -4/
      data (cars(i, 308), i=1, 2) / 0.7,  -5/
      data (cars(i, 309), i=1, 2) / 0.8,  -6/
      data (cars(i, 310), i=1, 2) / 0.9,  -7/
      data (cars(i, 311), i=1, 2) / 1,    -8/
      data (cars(i, 312), i=1, 2) / 1.1,  -11.4/
      data (cars(i, 313), i=1, 2) / 1.2,  -14.8/
      data (cars(i, 314), i=1, 2) / 1.3,  -18.2/
      data (cars(i, 315), i=1, 2) / 1.4,  -21.6/
      data (cars(i, 316), i=1, 2) / 1.5,  -25/
      data (cars(i, 317), i=1, 2) / 1.6,  -25.1/
      data (cars(i, 318), i=1, 2) / 1.7,  -25.2/
      data (cars(i, 319), i=1, 2) / 1.8,  -25.3/
      data (cars(i, 320), i=1, 2) / 1.9,  -25.4/
      data (cars(i, 321), i=1, 2) / 2,    -25.5/
      data (cars(i, 322), i=1, 2) / 2.1,  -25.6/
      data (cars(i, 323), i=1, 2) / 2.2,  -25.7/
      data (cars(i, 324), i=1, 2) / 2.3,  -25.8/
      data (cars(i, 325), i=1, 2) / 2.4,  -25.9/
      data (cars(i, 326), i=1, 2) / 2.5,  -26/
      data (cars(i, 327), i=1, 2) / 2.6,  -26.1/
      data (cars(i, 328), i=1, 2) / 2.7,  -26.2/
      data (cars(i, 329), i=1, 2) / 2.8,  -26.3/
      data (cars(i, 330), i=1, 2) / 2.9,  -26.4/
      data (cars(i, 331), i=1, 2) / 3,    -26.5/
      data (cars(i, 332), i=1, 2) / 3.1,  -26.6/
      data (cars(i, 333), i=1, 2) / 3.2,  -26.7/
      data (cars(i, 334), i=1, 2) / 3.3,  -26.8/
      data (cars(i, 335), i=1, 2) / 3.4,  -26.9/
      data (cars(i, 336), i=1, 2) / 3.5,  -27/
      data (cars(i, 337), i=1, 2) / 3.6,  -27.48/
      data (cars(i, 338), i=1, 2) / 3.7,  -27.96/
      data (cars(i, 339), i=1, 2) / 3.8,  -28.44/
      data (cars(i, 340), i=1, 2) / 3.9,  -28.92/
      data (cars(i, 341), i=1, 2) / 4,    -29.4/
      data (cars(i, 342), i=1, 2) / 4.1,  -29.88/
      data (cars(i, 343), i=1, 2) / 4.2,  -30.36/
      data (cars(i, 344), i=1, 2) / 4.3,  -30.84/
      data (cars(i, 345), i=1, 2) / 4.4,  -31.32/
      data (cars(i, 346), i=1, 2) / 4.5,  -31.8/
      data (cars(i, 347), i=1, 2) / 4.6,  -32.28/
      data (cars(i, 348), i=1, 2) / 4.7,  -32.76/
      data (cars(i, 349), i=1, 2) / 4.8,  -33.24/
      data (cars(i, 350), i=1, 2) / 4.9,  -33.72/
      data (cars(i, 351), i=1, 2) / 5,    -34.2/
      data (cars(i, 352), i=1, 2) / 5.1,  -34.68/
      data (cars(i, 353), i=1, 2) / 5.2,  -35.16/
      data (cars(i, 354), i=1, 2) / 5.3,  -35.64/
      data (cars(i, 355), i=1, 2) / 5.4,  -36.12/
      data (cars(i, 356), i=1, 2) / 5.5,  -36.6/
      data (cars(i, 357), i=1, 2) / 5.6,  -37.08/
      data (cars(i, 358), i=1, 2) / 5.7,  -37.56/
      data (cars(i, 359), i=1, 2) / 5.8,  -38.04/
      data (cars(i, 360), i=1, 2) / 5.9,  -38.52/
      data (cars(i, 361), i=1, 2) / 6,    -39/
      data (cars(i, 362), i=1, 2) / 6.1,  -39/
      data (cars(i, 363), i=1, 2) / 6.2,  -39/
      data (cars(i, 364), i=1, 2) / 6.3,  -39/
      data (cars(i, 365), i=1, 2) / 6.4,  -39/
      data (cars(i, 366), i=1, 2) / 6.5,  -39/
      data (cars(i, 367), i=1, 2) / 6.6,  -39/
      data (cars(i, 368), i=1, 2) / 6.7,  -39/
      data (cars(i, 369), i=1, 2) / 6.8,  -39/
      data (cars(i, 370), i=1, 2) / 6.9,  -39/
      data (cars(i, 371), i=1, 2) / 7,    -39/
      data (cars(i, 372), i=1, 2) / 7.1,  -39/
      data (cars(i, 373), i=1, 2) / 7.2,  -39/
      data (cars(i, 374), i=1, 2) / 7.3,  -39/
      data (cars(i, 375), i=1, 2) / 7.4,  -39/
      data (cars(i, 376), i=1, 2) / 7.5,  -39/
      data (cars(i, 377), i=1, 2) / 7.6,  -39/
      data (cars(i, 378), i=1, 2) / 7.7,  -39/
      data (cars(i, 379), i=1, 2) / 7.8,  -39/
      data (cars(i, 380), i=1, 2) / 7.9,  -39/
      data (cars(i, 381), i=1, 2) / 8,    -39/
      data (cars(i, 382), i=1, 2) / 8.1,  -39/
      data (cars(i, 383), i=1, 2) / 8.2,  -39/
      data (cars(i, 384), i=1, 2) / 8.3,  -39/
      data (cars(i, 385), i=1, 2) / 8.4,  -39/
      data (cars(i, 386), i=1, 2) / 8.5,  -39/
      data (cars(i, 387), i=1, 2) / 8.6,  -39.24/
      data (cars(i, 388), i=1, 2) / 8.7,  -39.48/
      data (cars(i, 389), i=1, 2) / 8.8,  -39.72/
      data (cars(i, 390), i=1, 2) / 8.9,  -39.96/
      data (cars(i, 391), i=1, 2) / 9,    -40.2/
      data (cars(i, 392), i=1, 2) / 9.1,  -40.44/
      data (cars(i, 393), i=1, 2) / 9.2,  -40.68/
      data (cars(i, 394), i=1, 2) / 9.3,  -40.92/
      data (cars(i, 395), i=1, 2) / 9.4,  -41.16/
      data (cars(i, 396), i=1, 2) / 9.5,  -41.4/
      data (cars(i, 397), i=1, 2) / 9.6,  -41.64/
      data (cars(i, 398), i=1, 2) / 9.7,  -41.88/
      data (cars(i, 399), i=1, 2) / 9.8,  -42.12/
      data (cars(i, 400), i=1, 2) / 9.9,  -42.36/
      data (cars(i, 401), i=1, 2) / 10,   -42.6/
      data (cars(i, 402), i=1, 2) / 10.1, -42.84/
      data (cars(i, 403), i=1, 2) / 10.2, -43.08/
      data (cars(i, 404), i=1, 2) / 10.3, -43.32/
      data (cars(i, 405), i=1, 2) / 10.4, -43.56/
      data (cars(i, 406), i=1, 2) / 10.5, -43.8/
      data (cars(i, 407), i=1, 2) / 10.6, -44.04/
      data (cars(i, 408), i=1, 2) / 10.7, -44.28/
      data (cars(i, 409), i=1, 2) / 10.8, -44.52/
      data (cars(i, 410), i=1, 2) / 10.9, -44.76/
      data (cars(i, 411), i=1, 2) / 11,   -45/
      data (cars(i, 412), i=1, 2) / 11.1, -45/
      data (cars(i, 413), i=1, 2) / 11.2, -45/
      data (cars(i, 414), i=1, 2) / 11.3, -45/
      data (cars(i, 415), i=1, 2) / 11.4, -45/
      data (cars(i, 416), i=1, 2) / 11.5, -45/
      data (cars(i, 417), i=1, 2) / 11.6, -45/
      data (cars(i, 418), i=1, 2) / 11.7, -45/
      data (cars(i, 419), i=1, 2) / 11.8, -45/
      data (cars(i, 420), i=1, 2) / 11.9, -45/
      data (cars(i, 421), i=1, 2) / 12,   -45/
      data (cars(i, 422), i=1, 2) / 12.1, -45/
      data (cars(i, 423), i=1, 2) / 12.2, -45/
      data (cars(i, 424), i=1, 2) / 12.3, -45/
      data (cars(i, 425), i=1, 2) / 12.4, -45/
      data (cars(i, 426), i=1, 2) / 12.5, -45/
      data (cars(i, 427), i=1, 2) / 12.6, -45/
      data (cars(i, 428), i=1, 2) / 12.7, -45/
      data (cars(i, 429), i=1, 2) / 12.8, -45/
      data (cars(i, 430), i=1, 2) / 12.9, -45/
      data (cars(i, 431), i=1, 2) / 13,   -45/
      data (cars(i, 432), i=1, 2) / 13.1, -45/
      data (cars(i, 433), i=1, 2) / 13.2, -45/
      data (cars(i, 434), i=1, 2) / 13.3, -45/
      data (cars(i, 435), i=1, 2) / 13.4, -45/
      data (cars(i, 436), i=1, 2) / 13.5, -45/
      data (cars(i, 437), i=1, 2) / 13.6, -45/
      data (cars(i, 438), i=1, 2) / 13.7, -45/
      data (cars(i, 439), i=1, 2) / 13.8, -45/
      data (cars(i, 440), i=1, 2) / 13.9, -45/
      data (cars(i, 441), i=1, 2) / 14,   -45/
      data (cars(i, 442), i=1, 2) / 14.1, -45/
      data (cars(i, 443), i=1, 2) / 14.2, -45/
      data (cars(i, 444), i=1, 2) / 14.3, -45/
      data (cars(i, 445), i=1, 2) / 14.4, -45/
      data (cars(i, 446), i=1, 2) / 14.5, -45/
      data (cars(i, 447), i=1, 2) / 14.6, -45/
      data (cars(i, 448), i=1, 2) / 14.7, -45/
      data (cars(i, 449), i=1, 2) / 14.8, -45/
      data (cars(i, 450), i=1, 2) / 14.9, -45/
      data (cars(i, 451), i=1, 2) / 15,   -45/
      data (cars(i, 452), i=1, 2) / 15.1, -45/
      data (cars(i, 453), i=1, 2) / 15.2, -45/
      data (cars(i, 454), i=1, 2) / 15.3, -45/
      data (cars(i, 455), i=1, 2) / 15.4, -45/
      data (cars(i, 456), i=1, 2) / 15.5, -45/
      data (cars(i, 457), i=1, 2) / 15.6, -45/
      data (cars(i, 458), i=1, 2) / 15.7, -45/
      data (cars(i, 459), i=1, 2) / 15.8, -45/
      data (cars(i, 460), i=1, 2) / 15.9, -45/
      data (cars(i, 461), i=1, 2) / 16,   -45/
      data (cars(i, 462), i=1, 2) / 16.1, -45/
      data (cars(i, 463), i=1, 2) / 16.2, -45/
      data (cars(i, 464), i=1, 2) / 16.3, -45/
      data (cars(i, 465), i=1, 2) / 16.4, -45/
      data (cars(i, 466), i=1, 2) / 16.5, -45/
      data (cars(i, 467), i=1, 2) / 16.6, -45/
      data (cars(i, 468), i=1, 2) / 16.7, -45/
      data (cars(i, 469), i=1, 2) / 16.8, -45/
      data (cars(i, 470), i=1, 2) / 16.9, -45/
      data (cars(i, 471), i=1, 2) / 17,   -45/
      data (cars(i, 472), i=1, 2) / 17.1, -45/
      data (cars(i, 473), i=1, 2) / 17.2, -45/
      data (cars(i, 474), i=1, 2) / 17.3, -45/
      data (cars(i, 475), i=1, 2) / 17.4, -45/
      data (cars(i, 476), i=1, 2) / 17.5, -45/
      data (cars(i, 477), i=1, 2) / 17.6, -45/
      data (cars(i, 478), i=1, 2) / 17.7, -45/
      data (cars(i, 479), i=1, 2) / 17.8, -45/
      data (cars(i, 480), i=1, 2) / 17.9, -45/
      data (cars(i, 481), i=1, 2) / 18,   -45/
      data (cars(i, 482), i=1, 2) / 18.1, -45/
      data (cars(i, 483), i=1, 2) / 18.2, -45/
      data (cars(i, 484), i=1, 2) / 18.3, -45/
      data (cars(i, 485), i=1, 2) / 18.4, -45/
      data (cars(i, 486), i=1, 2) / 18.5, -45/
      data (cars(i, 487), i=1, 2) / 18.6, -45/
      data (cars(i, 488), i=1, 2) / 18.7, -45/
      data (cars(i, 489), i=1, 2) / 18.8, -45/
      data (cars(i, 490), i=1, 2) / 18.9, -45/
      data (cars(i, 491), i=1, 2) / 19,   -45/
      data (cars(i, 492), i=1, 2) / 19.1, -45/
      data (cars(i, 493), i=1, 2) / 19.2, -45/
      data (cars(i, 494), i=1, 2) / 19.3, -45/
      data (cars(i, 495), i=1, 2) / 19.4, -45/
      data (cars(i, 496), i=1, 2) / 19.5, -45/
      data (cars(i, 497), i=1, 2) / 19.6, -45/
      data (cars(i, 498), i=1, 2) / 19.7, -45/
      data (cars(i, 499), i=1, 2) / 19.8, -45/
      data (cars(i, 500), i=1, 2) / 19.9, -45/
      data (cars(i, 501), i=1, 2) / 20,   -45/
      data (cars(i, 502), i=1, 2) / 20.1, -45.015/
      data (cars(i, 503), i=1, 2) / 20.2, -45.03/
      data (cars(i, 504), i=1, 2) / 20.3, -45.045/
      data (cars(i, 505), i=1, 2) / 20.4, -45.06/
      data (cars(i, 506), i=1, 2) / 20.5, -45.075/
      data (cars(i, 507), i=1, 2) / 20.6, -45.09/
      data (cars(i, 508), i=1, 2) / 20.7, -45.105/
      data (cars(i, 509), i=1, 2) / 20.8, -45.12/
      data (cars(i, 510), i=1, 2) / 20.9, -45.135/
      data (cars(i, 511), i=1, 2) / 21,   -45.15/
      data (cars(i, 512), i=1, 2) / 21.1, -45.165/
      data (cars(i, 513), i=1, 2) / 21.2, -45.18/
      data (cars(i, 514), i=1, 2) / 21.3, -45.195/
      data (cars(i, 515), i=1, 2) / 21.4, -45.21/
      data (cars(i, 516), i=1, 2) / 21.5, -45.225/
      data (cars(i, 517), i=1, 2) / 21.6, -45.24/
      data (cars(i, 518), i=1, 2) / 21.7, -45.255/
      data (cars(i, 519), i=1, 2) / 21.8, -45.27/
      data (cars(i, 520), i=1, 2) / 21.9, -45.285/
      data (cars(i, 521), i=1, 2) / 22,   -45.3/
      data (cars(i, 522), i=1, 2) / 22.1, -45.315/
      data (cars(i, 523), i=1, 2) / 22.2, -45.33/
      data (cars(i, 524), i=1, 2) / 22.3, -45.345/
      data (cars(i, 525), i=1, 2) / 22.4, -45.36/
      data (cars(i, 526), i=1, 2) / 22.5, -45.375/
      data (cars(i, 527), i=1, 2) / 22.6, -45.39/
      data (cars(i, 528), i=1, 2) / 22.7, -45.405/
      data (cars(i, 529), i=1, 2) / 22.8, -45.42/
      data (cars(i, 530), i=1, 2) / 22.9, -45.435/
      data (cars(i, 531), i=1, 2) / 23,   -45.45/
      data (cars(i, 532), i=1, 2) / 23.1, -45.465/
      data (cars(i, 533), i=1, 2) / 23.2, -45.48/
      data (cars(i, 534), i=1, 2) / 23.3, -45.495/
      data (cars(i, 535), i=1, 2) / 23.4, -45.51/
      data (cars(i, 536), i=1, 2) / 23.5, -45.525/
      data (cars(i, 537), i=1, 2) / 23.6, -45.54/
      data (cars(i, 538), i=1, 2) / 23.7, -45.555/
      data (cars(i, 539), i=1, 2) / 23.8, -45.57/
      data (cars(i, 540), i=1, 2) / 23.9, -45.585/
      data (cars(i, 541), i=1, 2) / 24,   -45.6/
      data (cars(i, 542), i=1, 2) / 24.1, -45.615/
      data (cars(i, 543), i=1, 2) / 24.2, -45.63/
      data (cars(i, 544), i=1, 2) / 24.3, -45.645/
      data (cars(i, 545), i=1, 2) / 24.4, -45.66/
      data (cars(i, 546), i=1, 2) / 24.5, -45.675/
      data (cars(i, 547), i=1, 2) / 24.6, -45.69/
      data (cars(i, 548), i=1, 2) / 24.7, -45.705/
      data (cars(i, 549), i=1, 2) / 24.8, -45.72/
      data (cars(i, 550), i=1, 2) / 24.9, -45.735/
      data (cars(i, 551), i=1, 2) / 25,   -45.75/
      data (cars(i, 552), i=1, 2) / 25.1, -45.765/
      data (cars(i, 553), i=1, 2) / 25.2, -45.78/
      data (cars(i, 554), i=1, 2) / 25.3, -45.795/
      data (cars(i, 555), i=1, 2) / 25.4, -45.81/
      data (cars(i, 556), i=1, 2) / 25.5, -45.825/
      data (cars(i, 557), i=1, 2) / 25.6, -45.84/
      data (cars(i, 558), i=1, 2) / 25.7, -45.855/
      data (cars(i, 559), i=1, 2) / 25.8, -45.87/
      data (cars(i, 560), i=1, 2) / 25.9, -45.885/
      data (cars(i, 561), i=1, 2) / 26,   -45.9/
      data (cars(i, 562), i=1, 2) / 26.1, -45.915/
      data (cars(i, 563), i=1, 2) / 26.2, -45.93/
      data (cars(i, 564), i=1, 2) / 26.3, -45.945/
      data (cars(i, 565), i=1, 2) / 26.4, -45.96/
      data (cars(i, 566), i=1, 2) / 26.5, -45.975/
      data (cars(i, 567), i=1, 2) / 26.6, -45.99/
      data (cars(i, 568), i=1, 2) / 26.7, -46.005/
      data (cars(i, 569), i=1, 2) / 26.8, -46.02/
      data (cars(i, 570), i=1, 2) / 26.9, -46.035/
      data (cars(i, 571), i=1, 2) / 27,   -46.05/
      data (cars(i, 572), i=1, 2) / 27.1, -46.065/
      data (cars(i, 573), i=1, 2) / 27.2, -46.08/
      data (cars(i, 574), i=1, 2) / 27.3, -46.095/
      data (cars(i, 575), i=1, 2) / 27.4, -46.11/
      data (cars(i, 576), i=1, 2) / 27.5, -46.125/
      data (cars(i, 577), i=1, 2) / 27.6, -46.14/
      data (cars(i, 578), i=1, 2) / 27.7, -46.155/
      data (cars(i, 579), i=1, 2) / 27.8, -46.17/
      data (cars(i, 580), i=1, 2) / 27.9, -46.185/
      data (cars(i, 581), i=1, 2) / 28,   -46.2/
      data (cars(i, 582), i=1, 2) / 28.1, -46.215/
      data (cars(i, 583), i=1, 2) / 28.2, -46.23/
      data (cars(i, 584), i=1, 2) / 28.3, -46.245/
      data (cars(i, 585), i=1, 2) / 28.4, -46.26/
      data (cars(i, 586), i=1, 2) / 28.5, -46.275/
      data (cars(i, 587), i=1, 2) / 28.6, -46.29/
      data (cars(i, 588), i=1, 2) / 28.7, -46.305/
      data (cars(i, 589), i=1, 2) / 28.8, -46.32/
      data (cars(i, 590), i=1, 2) / 28.9, -46.335/
      data (cars(i, 591), i=1, 2) / 29,   -46.35/
      data (cars(i, 592), i=1, 2) / 29.1, -46.365/
      data (cars(i, 593), i=1, 2) / 29.2, -46.38/
      data (cars(i, 594), i=1, 2) / 29.3, -46.395/
      data (cars(i, 595), i=1, 2) / 29.4, -46.41/
      data (cars(i, 596), i=1, 2) / 29.5, -46.425/
      data (cars(i, 597), i=1, 2) / 29.6, -46.44/
      data (cars(i, 598), i=1, 2) / 29.7, -46.455/
      data (cars(i, 599), i=1, 2) / 29.8, -46.47/
      data (cars(i, 600), i=1, 2) / 29.9, -46.485/
      data (cars(i, 601), i=1, 2) / 30,   -46.5/

      data (eighteen_ghz(i,   1), i=1, 2) /-30,   -48.5/
      data (eighteen_ghz(i,   2), i=1, 2) /-29.9, -48.5/
      data (eighteen_ghz(i,   3), i=1, 2) /-29.8, -48.5/
      data (eighteen_ghz(i,   4), i=1, 2) /-29.7, -48.5/
      data (eighteen_ghz(i,   5), i=1, 2) /-29.6, -48.5/
      data (eighteen_ghz(i,   6), i=1, 2) /-29.5, -48.5/
      data (eighteen_ghz(i,   7), i=1, 2) /-29.4, -48.5/
      data (eighteen_ghz(i,   8), i=1, 2) /-29.3, -48.5/
      data (eighteen_ghz(i,   9), i=1, 2) /-29.2, -48.5/
      data (eighteen_ghz(i,  10), i=1, 2) /-29.1, -48.5/
      data (eighteen_ghz(i,  11), i=1, 2) /-29,   -48.5/
      data (eighteen_ghz(i,  12), i=1, 2) /-28.9, -48.5/
      data (eighteen_ghz(i,  13), i=1, 2) /-28.8, -48.5/
      data (eighteen_ghz(i,  14), i=1, 2) /-28.7, -48.5/
      data (eighteen_ghz(i,  15), i=1, 2) /-28.6, -48.5/
      data (eighteen_ghz(i,  16), i=1, 2) /-28.5, -48.5/
      data (eighteen_ghz(i,  17), i=1, 2) /-28.4, -48.5/
      data (eighteen_ghz(i,  18), i=1, 2) /-28.3, -48.5/
      data (eighteen_ghz(i,  19), i=1, 2) /-28.2, -48.5/
      data (eighteen_ghz(i,  20), i=1, 2) /-28.1, -48.5/
      data (eighteen_ghz(i,  21), i=1, 2) /-28,   -48.5/
      data (eighteen_ghz(i,  22), i=1, 2) /-27.9, -48.5/
      data (eighteen_ghz(i,  23), i=1, 2) /-27.8, -48.5/
      data (eighteen_ghz(i,  24), i=1, 2) /-27.7, -48.5/
      data (eighteen_ghz(i,  25), i=1, 2) /-27.6, -48.5/
      data (eighteen_ghz(i,  26), i=1, 2) /-27.5, -48.5/
      data (eighteen_ghz(i,  27), i=1, 2) /-27.4, -48.5/
      data (eighteen_ghz(i,  28), i=1, 2) /-27.3, -48.5/
      data (eighteen_ghz(i,  29), i=1, 2) /-27.2, -48.5/
      data (eighteen_ghz(i,  30), i=1, 2) /-27.1, -48.5/
      data (eighteen_ghz(i,  31), i=1, 2) /-27,   -48.5/
      data (eighteen_ghz(i,  32), i=1, 2) /-26.9, -48.5/
      data (eighteen_ghz(i,  33), i=1, 2) /-26.8, -48.5/
      data (eighteen_ghz(i,  34), i=1, 2) /-26.7, -48.5/
      data (eighteen_ghz(i,  35), i=1, 2) /-26.6, -48.5/
      data (eighteen_ghz(i,  36), i=1, 2) /-26.5, -48.5/
      data (eighteen_ghz(i,  37), i=1, 2) /-26.4, -48.5/
      data (eighteen_ghz(i,  38), i=1, 2) /-26.3, -48.5/
      data (eighteen_ghz(i,  39), i=1, 2) /-26.2, -48.5/
      data (eighteen_ghz(i,  40), i=1, 2) /-26.1, -48.5/
      data (eighteen_ghz(i,  41), i=1, 2) /-26,   -48.5/
      data (eighteen_ghz(i,  42), i=1, 2) /-25.9, -48.5/
      data (eighteen_ghz(i,  43), i=1, 2) /-25.8, -48.5/
      data (eighteen_ghz(i,  44), i=1, 2) /-25.7, -48.5/
      data (eighteen_ghz(i,  45), i=1, 2) /-25.6, -48.5/
      data (eighteen_ghz(i,  46), i=1, 2) /-25.5, -48.5/
      data (eighteen_ghz(i,  47), i=1, 2) /-25.4, -48.5/
      data (eighteen_ghz(i,  48), i=1, 2) /-25.3, -48.45/
      data (eighteen_ghz(i,  49), i=1, 2) /-25.2, -48.4/
      data (eighteen_ghz(i,  50), i=1, 2) /-25.1, -48.35/
      data (eighteen_ghz(i,  51), i=1, 2) /-25,   -48.3/
      data (eighteen_ghz(i,  52), i=1, 2) /-24.9, -48.28/
      data (eighteen_ghz(i,  53), i=1, 2) /-24.8, -48.26/
      data (eighteen_ghz(i,  54), i=1, 2) /-24.7, -48.24/
      data (eighteen_ghz(i,  55), i=1, 2) /-24.6, -48.22/
      data (eighteen_ghz(i,  56), i=1, 2) /-24.5, -48.2/
      data (eighteen_ghz(i,  57), i=1, 2) /-24.4, -48.18/
      data (eighteen_ghz(i,  58), i=1, 2) /-24.3, -48.16/
      data (eighteen_ghz(i,  59), i=1, 2) /-24.2, -48.14/
      data (eighteen_ghz(i,  60), i=1, 2) /-24.1, -48.12/
      data (eighteen_ghz(i,  61), i=1, 2) /-24,   -48.1/
      data (eighteen_ghz(i,  62), i=1, 2) /-23.9, -48.08/
      data (eighteen_ghz(i,  63), i=1, 2) /-23.8, -48.06/
      data (eighteen_ghz(i,  64), i=1, 2) /-23.7, -48.04/
      data (eighteen_ghz(i,  65), i=1, 2) /-23.6, -48.02/
      data (eighteen_ghz(i,  66), i=1, 2) /-23.5, -48/
      data (eighteen_ghz(i,  67), i=1, 2) /-23.4, -47.98/
      data (eighteen_ghz(i,  68), i=1, 2) /-23.3, -47.96/
      data (eighteen_ghz(i,  69), i=1, 2) /-23.2, -47.94/
      data (eighteen_ghz(i,  70), i=1, 2) /-23.1, -47.92/
      data (eighteen_ghz(i,  71), i=1, 2) /-23,   -47.9/
      data (eighteen_ghz(i,  72), i=1, 2) /-22.9, -47.88/
      data (eighteen_ghz(i,  73), i=1, 2) /-22.8, -47.86/
      data (eighteen_ghz(i,  74), i=1, 2) /-22.7, -47.84/
      data (eighteen_ghz(i,  75), i=1, 2) /-22.6, -47.82/
      data (eighteen_ghz(i,  76), i=1, 2) /-22.5, -47.8/
      data (eighteen_ghz(i,  77), i=1, 2) /-22.4, -47.78/
      data (eighteen_ghz(i,  78), i=1, 2) /-22.3, -47.76/
      data (eighteen_ghz(i,  79), i=1, 2) /-22.2, -47.74/
      data (eighteen_ghz(i,  80), i=1, 2) /-22.1, -47.72/
      data (eighteen_ghz(i,  81), i=1, 2) /-22,   -47.7/
      data (eighteen_ghz(i,  82), i=1, 2) /-21.9, -47.68/
      data (eighteen_ghz(i,  83), i=1, 2) /-21.8, -47.66/
      data (eighteen_ghz(i,  84), i=1, 2) /-21.7, -47.64/
      data (eighteen_ghz(i,  85), i=1, 2) /-21.6, -47.62/
      data (eighteen_ghz(i,  86), i=1, 2) /-21.5, -47.6/
      data (eighteen_ghz(i,  87), i=1, 2) /-21.4, -47.58/
      data (eighteen_ghz(i,  88), i=1, 2) /-21.3, -47.56/
      data (eighteen_ghz(i,  89), i=1, 2) /-21.2, -47.54/
      data (eighteen_ghz(i,  90), i=1, 2) /-21.1, -47.52/
      data (eighteen_ghz(i,  91), i=1, 2) /-21,   -47.5/
      data (eighteen_ghz(i,  92), i=1, 2) /-20.9, -47.48/
      data (eighteen_ghz(i,  93), i=1, 2) /-20.8, -47.46/
      data (eighteen_ghz(i,  94), i=1, 2) /-20.7, -47.44/
      data (eighteen_ghz(i,  95), i=1, 2) /-20.6, -47.42/
      data (eighteen_ghz(i,  96), i=1, 2) /-20.5, -47.4/
      data (eighteen_ghz(i,  97), i=1, 2) /-20.4, -47.38/
      data (eighteen_ghz(i,  98), i=1, 2) /-20.3, -47.36/
      data (eighteen_ghz(i,  99), i=1, 2) /-20.2, -47.34/
      data (eighteen_ghz(i, 100), i=1, 2) /-20.1, -47.32/
      data (eighteen_ghz(i, 101), i=1, 2) /-20,   -47.3/
      data (eighteen_ghz(i, 102), i=1, 2) /-19.9, -47.3/
      data (eighteen_ghz(i, 103), i=1, 2) /-19.8, -47.3/
      data (eighteen_ghz(i, 104), i=1, 2) /-19.7, -47.3/
      data (eighteen_ghz(i, 105), i=1, 2) /-19.6, -47.3/
      data (eighteen_ghz(i, 106), i=1, 2) /-19.5, -47.3/
      data (eighteen_ghz(i, 107), i=1, 2) /-19.4, -47.3/
      data (eighteen_ghz(i, 108), i=1, 2) /-19.3, -47.3/
      data (eighteen_ghz(i, 109), i=1, 2) /-19.2, -47.3/
      data (eighteen_ghz(i, 110), i=1, 2) /-19.1, -47.3/
      data (eighteen_ghz(i, 111), i=1, 2) /-19,   -47.3/
      data (eighteen_ghz(i, 112), i=1, 2) /-18.9, -47.3/
      data (eighteen_ghz(i, 113), i=1, 2) /-18.8, -47.3/
      data (eighteen_ghz(i, 114), i=1, 2) /-18.7, -47.3/
      data (eighteen_ghz(i, 115), i=1, 2) /-18.6, -47.3/
      data (eighteen_ghz(i, 116), i=1, 2) /-18.5, -47.3/
      data (eighteen_ghz(i, 117), i=1, 2) /-18.4, -47.3/
      data (eighteen_ghz(i, 118), i=1, 2) /-18.3, -47.3/
      data (eighteen_ghz(i, 119), i=1, 2) /-18.2, -47.3/
      data (eighteen_ghz(i, 120), i=1, 2) /-18.1, -47.3/
      data (eighteen_ghz(i, 121), i=1, 2) /-18,   -47.3/
      data (eighteen_ghz(i, 122), i=1, 2) /-17.9, -47.3/
      data (eighteen_ghz(i, 123), i=1, 2) /-17.8, -47.3/
      data (eighteen_ghz(i, 124), i=1, 2) /-17.7, -47.3/
      data (eighteen_ghz(i, 125), i=1, 2) /-17.6, -47.3/
      data (eighteen_ghz(i, 126), i=1, 2) /-17.5, -47.3/
      data (eighteen_ghz(i, 127), i=1, 2) /-17.4, -47.3/
      data (eighteen_ghz(i, 128), i=1, 2) /-17.3, -47.3/
      data (eighteen_ghz(i, 129), i=1, 2) /-17.2, -47.3/
      data (eighteen_ghz(i, 130), i=1, 2) /-17.1, -47.3/
      data (eighteen_ghz(i, 131), i=1, 2) /-17,   -47.3/
      data (eighteen_ghz(i, 132), i=1, 2) /-16.9, -47.3/
      data (eighteen_ghz(i, 133), i=1, 2) /-16.8, -47.3/
      data (eighteen_ghz(i, 134), i=1, 2) /-16.7, -47.3/
      data (eighteen_ghz(i, 135), i=1, 2) /-16.6, -47.3/
      data (eighteen_ghz(i, 136), i=1, 2) /-16.5, -47.3/
      data (eighteen_ghz(i, 137), i=1, 2) /-16.4, -47.3/
      data (eighteen_ghz(i, 138), i=1, 2) /-16.3, -47.3/
      data (eighteen_ghz(i, 139), i=1, 2) /-16.2, -47.3/
      data (eighteen_ghz(i, 140), i=1, 2) /-16.1, -47.3/
      data (eighteen_ghz(i, 141), i=1, 2) /-16,   -47.3/
      data (eighteen_ghz(i, 142), i=1, 2) /-15.9, -47.3/
      data (eighteen_ghz(i, 143), i=1, 2) /-15.8, -47.3/
      data (eighteen_ghz(i, 144), i=1, 2) /-15.7, -47.3/
      data (eighteen_ghz(i, 145), i=1, 2) /-15.6, -47.3/
      data (eighteen_ghz(i, 146), i=1, 2) /-15.5, -47.3/
      data (eighteen_ghz(i, 147), i=1, 2) /-15.4, -47.3/
      data (eighteen_ghz(i, 148), i=1, 2) /-15.3, -47.3/
      data (eighteen_ghz(i, 149), i=1, 2) /-15.2, -47.3/
      data (eighteen_ghz(i, 150), i=1, 2) /-15.1, -47.3/
      data (eighteen_ghz(i, 151), i=1, 2) /-15,   -47.3/
      data (eighteen_ghz(i, 152), i=1, 2) /-14.9, -47.3/
      data (eighteen_ghz(i, 153), i=1, 2) /-14.8, -47.3/
      data (eighteen_ghz(i, 154), i=1, 2) /-14.7, -47.3/
      data (eighteen_ghz(i, 155), i=1, 2) /-14.6, -47.3/
      data (eighteen_ghz(i, 156), i=1, 2) /-14.5, -47.3/
      data (eighteen_ghz(i, 157), i=1, 2) /-14.4, -47.3/
      data (eighteen_ghz(i, 158), i=1, 2) /-14.3, -47.3/
      data (eighteen_ghz(i, 159), i=1, 2) /-14.2, -46.8667/
      data (eighteen_ghz(i, 160), i=1, 2) /-14.1, -46.4333/
      data (eighteen_ghz(i, 161), i=1, 2) /-14,   -46/
      data (eighteen_ghz(i, 162), i=1, 2) /-13.9, -46/
      data (eighteen_ghz(i, 163), i=1, 2) /-13.8, -46/
      data (eighteen_ghz(i, 164), i=1, 2) /-13.7, -46/
      data (eighteen_ghz(i, 165), i=1, 2) /-13.6, -46/
      data (eighteen_ghz(i, 166), i=1, 2) /-13.5, -46/
      data (eighteen_ghz(i, 167), i=1, 2) /-13.4, -46/
      data (eighteen_ghz(i, 168), i=1, 2) /-13.3, -46/
      data (eighteen_ghz(i, 169), i=1, 2) /-13.2, -46/
      data (eighteen_ghz(i, 170), i=1, 2) /-13.1, -46/
      data (eighteen_ghz(i, 171), i=1, 2) /-13,   -46/
      data (eighteen_ghz(i, 172), i=1, 2) /-12.9, -46/
      data (eighteen_ghz(i, 173), i=1, 2) /-12.8, -46/
      data (eighteen_ghz(i, 174), i=1, 2) /-12.7, -46/
      data (eighteen_ghz(i, 175), i=1, 2) /-12.6, -46/
      data (eighteen_ghz(i, 176), i=1, 2) /-12.5, -46/
      data (eighteen_ghz(i, 177), i=1, 2) /-12.4, -46/
      data (eighteen_ghz(i, 178), i=1, 2) /-12.3, -46/
      data (eighteen_ghz(i, 179), i=1, 2) /-12.2, -46/
      data (eighteen_ghz(i, 180), i=1, 2) /-12.1, -45.9/
      data (eighteen_ghz(i, 181), i=1, 2) /-12,   -45.8/
      data (eighteen_ghz(i, 182), i=1, 2) /-11.9, -45.8/
      data (eighteen_ghz(i, 183), i=1, 2) /-11.8, -45.8/
      data (eighteen_ghz(i, 184), i=1, 2) /-11.7, -45.8/
      data (eighteen_ghz(i, 185), i=1, 2) /-11.6, -45.8/
      data (eighteen_ghz(i, 186), i=1, 2) /-11.5, -45.8/
      data (eighteen_ghz(i, 187), i=1, 2) /-11.4, -45.8/
      data (eighteen_ghz(i, 188), i=1, 2) /-11.3, -45.8/
      data (eighteen_ghz(i, 189), i=1, 2) /-11.2, -45.8/
      data (eighteen_ghz(i, 190), i=1, 2) /-11.1, -45.8/
      data (eighteen_ghz(i, 191), i=1, 2) /-11,   -45.8/
      data (eighteen_ghz(i, 192), i=1, 2) /-10.9, -45.8/
      data (eighteen_ghz(i, 193), i=1, 2) /-10.8, -45.8/
      data (eighteen_ghz(i, 194), i=1, 2) /-10.7, -45.8/
      data (eighteen_ghz(i, 195), i=1, 2) /-10.6, -45.8/
      data (eighteen_ghz(i, 196), i=1, 2) /-10.5, -45.6/
      data (eighteen_ghz(i, 197), i=1, 2) /-10.4, -45.4/
      data (eighteen_ghz(i, 198), i=1, 2) /-10.3, -45.2/
      data (eighteen_ghz(i, 199), i=1, 2) /-10.2, -45/
      data (eighteen_ghz(i, 200), i=1, 2) /-10.1, -44.8/
      data (eighteen_ghz(i, 201), i=1, 2) /-10,   -44.6/
      data (eighteen_ghz(i, 202), i=1, 2) /-9.9,  -44.6/
      data (eighteen_ghz(i, 203), i=1, 2) /-9.8,  -44.6/
      data (eighteen_ghz(i, 204), i=1, 2) /-9.7,  -44.6/
      data (eighteen_ghz(i, 205), i=1, 2) /-9.6,  -44.6/
      data (eighteen_ghz(i, 206), i=1, 2) /-9.5,  -44.6/
      data (eighteen_ghz(i, 207), i=1, 2) /-9.4,  -44.6/
      data (eighteen_ghz(i, 208), i=1, 2) /-9.3,  -44.6/
      data (eighteen_ghz(i, 209), i=1, 2) /-9.2,  -44.6/
      data (eighteen_ghz(i, 210), i=1, 2) /-9.1,  -44.6/
      data (eighteen_ghz(i, 211), i=1, 2) /-9,    -44.6/
      data (eighteen_ghz(i, 212), i=1, 2) /-8.9,  -44.6/
      data (eighteen_ghz(i, 213), i=1, 2) /-8.8,  -44.6/
      data (eighteen_ghz(i, 214), i=1, 2) /-8.7,  -44.6/
      data (eighteen_ghz(i, 215), i=1, 2) /-8.6,  -44.6/
      data (eighteen_ghz(i, 216), i=1, 2) /-8.5,  -44.6/
      data (eighteen_ghz(i, 217), i=1, 2) /-8.4,  -44.6/
      data (eighteen_ghz(i, 218), i=1, 2) /-8.3,  -43.9/
      data (eighteen_ghz(i, 219), i=1, 2) /-8.2,  -43.2/
      data (eighteen_ghz(i, 220), i=1, 2) /-8.1,  -42.5/
      data (eighteen_ghz(i, 221), i=1, 2) /-8,    -41.8/
      data (eighteen_ghz(i, 222), i=1, 2) /-7.9,  -41.8/
      data (eighteen_ghz(i, 223), i=1, 2) /-7.8,  -41.8/
      data (eighteen_ghz(i, 224), i=1, 2) /-7.7,  -41.8/
      data (eighteen_ghz(i, 225), i=1, 2) /-7.6,  -41.8/
      data (eighteen_ghz(i, 226), i=1, 2) /-7.5,  -41.8/
      data (eighteen_ghz(i, 227), i=1, 2) /-7.4,  -41.8/
      data (eighteen_ghz(i, 228), i=1, 2) /-7.3,  -41.8/
      data (eighteen_ghz(i, 229), i=1, 2) /-7.2,  -41.8/
      data (eighteen_ghz(i, 230), i=1, 2) /-7.1,  -41.8/
      data (eighteen_ghz(i, 231), i=1, 2) /-7,    -41.8/
      data (eighteen_ghz(i, 232), i=1, 2) /-6.9,  -41.8/
      data (eighteen_ghz(i, 233), i=1, 2) /-6.8,  -41.4222/
      data (eighteen_ghz(i, 234), i=1, 2) /-6.7,  -41.0444/
      data (eighteen_ghz(i, 235), i=1, 2) /-6.6,  -40.6667/
      data (eighteen_ghz(i, 236), i=1, 2) /-6.5,  -40.2889/
      data (eighteen_ghz(i, 237), i=1, 2) /-6.4,  -39.9111/
      data (eighteen_ghz(i, 238), i=1, 2) /-6.3,  -39.5333/
      data (eighteen_ghz(i, 239), i=1, 2) /-6.2,  -39.1556/
      data (eighteen_ghz(i, 240), i=1, 2) /-6.1,  -38.7778/
      data (eighteen_ghz(i, 241), i=1, 2) /-6,    -38.4/
      data (eighteen_ghz(i, 242), i=1, 2) /-5.9,  -38.4/
      data (eighteen_ghz(i, 243), i=1, 2) /-5.8,  -38.4/
      data (eighteen_ghz(i, 244), i=1, 2) /-5.7,  -38.4/
      data (eighteen_ghz(i, 245), i=1, 2) /-5.6,  -38.4/
      data (eighteen_ghz(i, 246), i=1, 2) /-5.5,  -38.4/
      data (eighteen_ghz(i, 247), i=1, 2) /-5.4,  -38.4/
      data (eighteen_ghz(i, 248), i=1, 2) /-5.3,  -38.4/
      data (eighteen_ghz(i, 249), i=1, 2) /-5.2,  -38.4/
      data (eighteen_ghz(i, 250), i=1, 2) /-5.1,  -38.4/
      data (eighteen_ghz(i, 251), i=1, 2) /-5,    -38.4/
      data (eighteen_ghz(i, 252), i=1, 2) /-4.9,  -38.4/
      data (eighteen_ghz(i, 253), i=1, 2) /-4.8,  -38.4/
      data (eighteen_ghz(i, 254), i=1, 2) /-4.7,  -38.4/
      data (eighteen_ghz(i, 255), i=1, 2) /-4.6,  -37.6286/
      data (eighteen_ghz(i, 256), i=1, 2) /-4.5,  -36.8571/
      data (eighteen_ghz(i, 257), i=1, 2) /-4.4,  -36.0857/
      data (eighteen_ghz(i, 258), i=1, 2) /-4.3,  -35.3143/
      data (eighteen_ghz(i, 259), i=1, 2) /-4.2,  -34.5429/
      data (eighteen_ghz(i, 260), i=1, 2) /-4.1,  -33.7714/
      data (eighteen_ghz(i, 261), i=1, 2) /-4,    -33/
      data (eighteen_ghz(i, 262), i=1, 2) /-3.9,  -33/
      data (eighteen_ghz(i, 263), i=1, 2) /-3.8,  -33/
      data (eighteen_ghz(i, 264), i=1, 2) /-3.7,  -33/
      data (eighteen_ghz(i, 265), i=1, 2) /-3.6,  -33/
      data (eighteen_ghz(i, 266), i=1, 2) /-3.5,  -33/
      data (eighteen_ghz(i, 267), i=1, 2) /-3.4,  -33/
      data (eighteen_ghz(i, 268), i=1, 2) /-3.3,  -33/
      data (eighteen_ghz(i, 269), i=1, 2) /-3.2,  -33/
      data (eighteen_ghz(i, 270), i=1, 2) /-3.1,  -33/
      data (eighteen_ghz(i, 271), i=1, 2) /-3,    -33/
      data (eighteen_ghz(i, 272), i=1, 2) /-2.9,  -32.23/
      data (eighteen_ghz(i, 273), i=1, 2) /-2.8,  -31.46/
      data (eighteen_ghz(i, 274), i=1, 2) /-2.7,  -30.69/
      data (eighteen_ghz(i, 275), i=1, 2) /-2.6,  -29.92/
      data (eighteen_ghz(i, 276), i=1, 2) /-2.5,  -29.15/
      data (eighteen_ghz(i, 277), i=1, 2) /-2.4,  -28.38/
      data (eighteen_ghz(i, 278), i=1, 2) /-2.3,  -27.61/
      data (eighteen_ghz(i, 279), i=1, 2) /-2.2,  -26.84/
      data (eighteen_ghz(i, 280), i=1, 2) /-2.1,  -26.07/
      data (eighteen_ghz(i, 281), i=1, 2) /-2,    -25.3/
      data (eighteen_ghz(i, 282), i=1, 2) /-1.9,  -24.56/
      data (eighteen_ghz(i, 283), i=1, 2) /-1.8,  -23.82/
      data (eighteen_ghz(i, 284), i=1, 2) /-1.7,  -23.08/
      data (eighteen_ghz(i, 285), i=1, 2) /-1.6,  -22.34/
      data (eighteen_ghz(i, 286), i=1, 2) /-1.5,  -21.6/
      data (eighteen_ghz(i, 287), i=1, 2) /-1.4,  -21.6/
      data (eighteen_ghz(i, 288), i=1, 2) /-1.3,  -21.6/
      data (eighteen_ghz(i, 289), i=1, 2) /-1.2,  -21.6/
      data (eighteen_ghz(i, 290), i=1, 2) /-1.1,  -21.6/
      data (eighteen_ghz(i, 291), i=1, 2) /-1,    -21.6/
      data (eighteen_ghz(i, 292), i=1, 2) /-0.9,  -21.6/
      data (eighteen_ghz(i, 293), i=1, 2) /-0.8,  -18.6/
      data (eighteen_ghz(i, 294), i=1, 2) /-0.7,  -17.2/
      data (eighteen_ghz(i, 295), i=1, 2) /-0.6,  -15.8/
      data (eighteen_ghz(i, 296), i=1, 2) /-0.5,  -13.15/
      data (eighteen_ghz(i, 297), i=1, 2) /-0.4,  -7.8/
      data (eighteen_ghz(i, 298), i=1, 2) /-0.3,  -3.8/
      data (eighteen_ghz(i, 299), i=1, 2) /-0.2,  -1.9/
      data (eighteen_ghz(i, 300), i=1, 2) /-0.1,  -0.4/
      data (eighteen_ghz(i, 301), i=1, 2) / 0,     0.0/
      data (eighteen_ghz(i, 302), i=1, 2) / 0.1,  -0.4/
      data (eighteen_ghz(i, 303), i=1, 2) / 0.2,  -1.9/
      data (eighteen_ghz(i, 304), i=1, 2) / 0.3,  -3.8/
      data (eighteen_ghz(i, 305), i=1, 2) / 0.4,  -7.8/
      data (eighteen_ghz(i, 306), i=1, 2) / 0.5,  -13.15/
      data (eighteen_ghz(i, 307), i=1, 2) / 0.6,  -15.8/
      data (eighteen_ghz(i, 308), i=1, 2) / 0.7,  -17.2/
      data (eighteen_ghz(i, 309), i=1, 2) / 0.8,  -18.6/
      data (eighteen_ghz(i, 310), i=1, 2) / 0.9,  -21.6/
      data (eighteen_ghz(i, 311), i=1, 2) / 1,    -21.6/
      data (eighteen_ghz(i, 312), i=1, 2) / 1.1,  -21.6/
      data (eighteen_ghz(i, 313), i=1, 2) / 1.2,  -21.6/
      data (eighteen_ghz(i, 314), i=1, 2) / 1.3,  -21.6/
      data (eighteen_ghz(i, 315), i=1, 2) / 1.4,  -21.6/
      data (eighteen_ghz(i, 316), i=1, 2) / 1.5,  -21.6/
      data (eighteen_ghz(i, 317), i=1, 2) / 1.6,  -22.34/
      data (eighteen_ghz(i, 318), i=1, 2) / 1.7,  -23.08/
      data (eighteen_ghz(i, 319), i=1, 2) / 1.8,  -23.82/
      data (eighteen_ghz(i, 320), i=1, 2) / 1.9,  -24.56/
      data (eighteen_ghz(i, 321), i=1, 2) / 2,    -25.3/
      data (eighteen_ghz(i, 322), i=1, 2) / 2.1,  -26.07/
      data (eighteen_ghz(i, 323), i=1, 2) / 2.2,  -26.84/
      data (eighteen_ghz(i, 324), i=1, 2) / 2.3,  -27.61/
      data (eighteen_ghz(i, 325), i=1, 2) / 2.4,  -28.38/
      data (eighteen_ghz(i, 326), i=1, 2) / 2.5,  -29.15/
      data (eighteen_ghz(i, 327), i=1, 2) / 2.6,  -29.92/
      data (eighteen_ghz(i, 328), i=1, 2) / 2.7,  -30.69/
      data (eighteen_ghz(i, 329), i=1, 2) / 2.8,  -31.46/
      data (eighteen_ghz(i, 330), i=1, 2) / 2.9,  -32.23/
      data (eighteen_ghz(i, 331), i=1, 2) / 3,    -33/
      data (eighteen_ghz(i, 332), i=1, 2) / 3.1,  -33/
      data (eighteen_ghz(i, 333), i=1, 2) / 3.2,  -33/
      data (eighteen_ghz(i, 334), i=1, 2) / 3.3,  -33/
      data (eighteen_ghz(i, 335), i=1, 2) / 3.4,  -33/
      data (eighteen_ghz(i, 336), i=1, 2) / 3.5,  -33/
      data (eighteen_ghz(i, 337), i=1, 2) / 3.6,  -33/
      data (eighteen_ghz(i, 338), i=1, 2) / 3.7,  -33/
      data (eighteen_ghz(i, 339), i=1, 2) / 3.8,  -33/
      data (eighteen_ghz(i, 340), i=1, 2) / 3.9,  -33/
      data (eighteen_ghz(i, 341), i=1, 2) / 4,    -33/
      data (eighteen_ghz(i, 342), i=1, 2) / 4.1,  -33.7714/
      data (eighteen_ghz(i, 343), i=1, 2) / 4.2,  -34.5429/
      data (eighteen_ghz(i, 344), i=1, 2) / 4.3,  -35.3143/
      data (eighteen_ghz(i, 345), i=1, 2) / 4.4,  -36.0857/
      data (eighteen_ghz(i, 346), i=1, 2) / 4.5,  -36.8571/
      data (eighteen_ghz(i, 347), i=1, 2) / 4.6,  -37.6286/
      data (eighteen_ghz(i, 348), i=1, 2) / 4.7,  -38.4/
      data (eighteen_ghz(i, 349), i=1, 2) / 4.8,  -38.4/
      data (eighteen_ghz(i, 350), i=1, 2) / 4.9,  -38.4/
      data (eighteen_ghz(i, 351), i=1, 2) / 5,    -38.4/
      data (eighteen_ghz(i, 352), i=1, 2) / 5.1,  -38.4/
      data (eighteen_ghz(i, 353), i=1, 2) / 5.2,  -38.4/
      data (eighteen_ghz(i, 354), i=1, 2) / 5.3,  -38.4/
      data (eighteen_ghz(i, 355), i=1, 2) / 5.4,  -38.4/
      data (eighteen_ghz(i, 356), i=1, 2) / 5.5,  -38.4/
      data (eighteen_ghz(i, 357), i=1, 2) / 5.6,  -38.4/
      data (eighteen_ghz(i, 358), i=1, 2) / 5.7,  -38.4/
      data (eighteen_ghz(i, 359), i=1, 2) / 5.8,  -38.4/
      data (eighteen_ghz(i, 360), i=1, 2) / 5.9,  -38.4/
      data (eighteen_ghz(i, 361), i=1, 2) / 6,    -38.4/
      data (eighteen_ghz(i, 362), i=1, 2) / 6.1,  -38.7778/
      data (eighteen_ghz(i, 363), i=1, 2) / 6.2,  -39.1556/
      data (eighteen_ghz(i, 364), i=1, 2) / 6.3,  -39.5333/
      data (eighteen_ghz(i, 365), i=1, 2) / 6.4,  -39.9111/
      data (eighteen_ghz(i, 366), i=1, 2) / 6.5,  -40.2889/
      data (eighteen_ghz(i, 367), i=1, 2) / 6.6,  -40.6667/
      data (eighteen_ghz(i, 368), i=1, 2) / 6.7,  -41.0444/
      data (eighteen_ghz(i, 369), i=1, 2) / 6.8,  -41.4222/
      data (eighteen_ghz(i, 370), i=1, 2) / 6.9,  -41.8/
      data (eighteen_ghz(i, 371), i=1, 2) / 7,    -41.8/
      data (eighteen_ghz(i, 372), i=1, 2) / 7.1,  -41.8/
      data (eighteen_ghz(i, 373), i=1, 2) / 7.2,  -41.8/
      data (eighteen_ghz(i, 374), i=1, 2) / 7.3,  -41.8/
      data (eighteen_ghz(i, 375), i=1, 2) / 7.4,  -41.8/
      data (eighteen_ghz(i, 376), i=1, 2) / 7.5,  -41.8/
      data (eighteen_ghz(i, 377), i=1, 2) / 7.6,  -41.8/
      data (eighteen_ghz(i, 378), i=1, 2) / 7.7,  -41.8/
      data (eighteen_ghz(i, 379), i=1, 2) / 7.8,  -41.8/
      data (eighteen_ghz(i, 380), i=1, 2) / 7.9,  -41.8/
      data (eighteen_ghz(i, 381), i=1, 2) / 8,    -41.8/
      data (eighteen_ghz(i, 382), i=1, 2) / 8.1,  -42.5/
      data (eighteen_ghz(i, 383), i=1, 2) / 8.2,  -43.2/
      data (eighteen_ghz(i, 384), i=1, 2) / 8.3,  -43.9/
      data (eighteen_ghz(i, 385), i=1, 2) / 8.4,  -44.6/
      data (eighteen_ghz(i, 386), i=1, 2) / 8.5,  -44.6/
      data (eighteen_ghz(i, 387), i=1, 2) / 8.6,  -44.6/
      data (eighteen_ghz(i, 388), i=1, 2) / 8.7,  -44.6/
      data (eighteen_ghz(i, 389), i=1, 2) / 8.8,  -44.6/
      data (eighteen_ghz(i, 390), i=1, 2) / 8.9,  -44.6/
      data (eighteen_ghz(i, 391), i=1, 2) / 9,    -44.6/
      data (eighteen_ghz(i, 392), i=1, 2) / 9.1,  -44.6/
      data (eighteen_ghz(i, 393), i=1, 2) / 9.2,  -44.6/
      data (eighteen_ghz(i, 394), i=1, 2) / 9.3,  -44.6/
      data (eighteen_ghz(i, 395), i=1, 2) / 9.4,  -44.6/
      data (eighteen_ghz(i, 396), i=1, 2) / 9.5,  -44.6/
      data (eighteen_ghz(i, 397), i=1, 2) / 9.6,  -44.6/
      data (eighteen_ghz(i, 398), i=1, 2) / 9.7,  -44.6/
      data (eighteen_ghz(i, 399), i=1, 2) / 9.8,  -44.6/
      data (eighteen_ghz(i, 400), i=1, 2) / 9.9,  -44.6/
      data (eighteen_ghz(i, 401), i=1, 2) / 10,   -44.6/
      data (eighteen_ghz(i, 402), i=1, 2) / 10.1, -44.8/
      data (eighteen_ghz(i, 403), i=1, 2) / 10.2, -45/
      data (eighteen_ghz(i, 404), i=1, 2) / 10.3, -45.2/
      data (eighteen_ghz(i, 405), i=1, 2) / 10.4, -45.4/
      data (eighteen_ghz(i, 406), i=1, 2) / 10.5, -45.6/
      data (eighteen_ghz(i, 407), i=1, 2) / 10.6, -45.8/
      data (eighteen_ghz(i, 408), i=1, 2) / 10.7, -45.8/
      data (eighteen_ghz(i, 409), i=1, 2) / 10.8, -45.8/
      data (eighteen_ghz(i, 410), i=1, 2) / 10.9, -45.8/
      data (eighteen_ghz(i, 411), i=1, 2) / 11,   -45.8/
      data (eighteen_ghz(i, 412), i=1, 2) / 11.1, -45.8/
      data (eighteen_ghz(i, 413), i=1, 2) / 11.2, -45.8/
      data (eighteen_ghz(i, 414), i=1, 2) / 11.3, -45.8/
      data (eighteen_ghz(i, 415), i=1, 2) / 11.4, -45.8/
      data (eighteen_ghz(i, 416), i=1, 2) / 11.5, -45.8/
      data (eighteen_ghz(i, 417), i=1, 2) / 11.6, -45.8/
      data (eighteen_ghz(i, 418), i=1, 2) / 11.7, -45.8/
      data (eighteen_ghz(i, 419), i=1, 2) / 11.8, -45.8/
      data (eighteen_ghz(i, 420), i=1, 2) / 11.9, -45.8/
      data (eighteen_ghz(i, 421), i=1, 2) / 12,   -45.8/
      data (eighteen_ghz(i, 422), i=1, 2) / 12.1, -45.9/
      data (eighteen_ghz(i, 423), i=1, 2) / 12.2, -46/
      data (eighteen_ghz(i, 424), i=1, 2) / 12.3, -46/
      data (eighteen_ghz(i, 425), i=1, 2) / 12.4, -46/
      data (eighteen_ghz(i, 426), i=1, 2) / 12.5, -46/
      data (eighteen_ghz(i, 427), i=1, 2) / 12.6, -46/
      data (eighteen_ghz(i, 428), i=1, 2) / 12.7, -46/
      data (eighteen_ghz(i, 429), i=1, 2) / 12.8, -46/
      data (eighteen_ghz(i, 430), i=1, 2) / 12.9, -46/
      data (eighteen_ghz(i, 431), i=1, 2) / 13,   -46/
      data (eighteen_ghz(i, 432), i=1, 2) / 13.1, -46/
      data (eighteen_ghz(i, 433), i=1, 2) / 13.2, -46/
      data (eighteen_ghz(i, 434), i=1, 2) / 13.3, -46/
      data (eighteen_ghz(i, 435), i=1, 2) / 13.4, -46/
      data (eighteen_ghz(i, 436), i=1, 2) / 13.5, -46/
      data (eighteen_ghz(i, 437), i=1, 2) / 13.6, -46/
      data (eighteen_ghz(i, 438), i=1, 2) / 13.7, -46/
      data (eighteen_ghz(i, 439), i=1, 2) / 13.8, -46/
      data (eighteen_ghz(i, 440), i=1, 2) / 13.9, -46/
      data (eighteen_ghz(i, 441), i=1, 2) / 14,   -46/
      data (eighteen_ghz(i, 442), i=1, 2) / 14.1, -46.4333/
      data (eighteen_ghz(i, 443), i=1, 2) / 14.2, -46.8667/
      data (eighteen_ghz(i, 444), i=1, 2) / 14.3, -47.3/
      data (eighteen_ghz(i, 445), i=1, 2) / 14.4, -47.3/
      data (eighteen_ghz(i, 446), i=1, 2) / 14.5, -47.3/
      data (eighteen_ghz(i, 447), i=1, 2) / 14.6, -47.3/
      data (eighteen_ghz(i, 448), i=1, 2) / 14.7, -47.3/
      data (eighteen_ghz(i, 449), i=1, 2) / 14.8, -47.3/
      data (eighteen_ghz(i, 450), i=1, 2) / 14.9, -47.3/
      data (eighteen_ghz(i, 451), i=1, 2) / 15,   -47.3/
      data (eighteen_ghz(i, 452), i=1, 2) / 15.1, -47.3/
      data (eighteen_ghz(i, 453), i=1, 2) / 15.2, -47.3/
      data (eighteen_ghz(i, 454), i=1, 2) / 15.3, -47.3/
      data (eighteen_ghz(i, 455), i=1, 2) / 15.4, -47.3/
      data (eighteen_ghz(i, 456), i=1, 2) / 15.5, -47.3/
      data (eighteen_ghz(i, 457), i=1, 2) / 15.6, -47.3/
      data (eighteen_ghz(i, 458), i=1, 2) / 15.7, -47.3/
      data (eighteen_ghz(i, 459), i=1, 2) / 15.8, -47.3/
      data (eighteen_ghz(i, 460), i=1, 2) / 15.9, -47.3/
      data (eighteen_ghz(i, 461), i=1, 2) / 16,   -47.3/
      data (eighteen_ghz(i, 462), i=1, 2) / 16.1, -47.3/
      data (eighteen_ghz(i, 463), i=1, 2) / 16.2, -47.3/
      data (eighteen_ghz(i, 464), i=1, 2) / 16.3, -47.3/
      data (eighteen_ghz(i, 465), i=1, 2) / 16.4, -47.3/
      data (eighteen_ghz(i, 466), i=1, 2) / 16.5, -47.3/
      data (eighteen_ghz(i, 467), i=1, 2) / 16.6, -47.3/
      data (eighteen_ghz(i, 468), i=1, 2) / 16.7, -47.3/
      data (eighteen_ghz(i, 469), i=1, 2) / 16.8, -47.3/
      data (eighteen_ghz(i, 470), i=1, 2) / 16.9, -47.3/
      data (eighteen_ghz(i, 471), i=1, 2) / 17,   -47.3/
      data (eighteen_ghz(i, 472), i=1, 2) / 17.1, -47.3/
      data (eighteen_ghz(i, 473), i=1, 2) / 17.2, -47.3/
      data (eighteen_ghz(i, 474), i=1, 2) / 17.3, -47.3/
      data (eighteen_ghz(i, 475), i=1, 2) / 17.4, -47.3/
      data (eighteen_ghz(i, 476), i=1, 2) / 17.5, -47.3/
      data (eighteen_ghz(i, 477), i=1, 2) / 17.6, -47.3/
      data (eighteen_ghz(i, 478), i=1, 2) / 17.7, -47.3/
      data (eighteen_ghz(i, 479), i=1, 2) / 17.8, -47.3/
      data (eighteen_ghz(i, 480), i=1, 2) / 17.9, -47.3/
      data (eighteen_ghz(i, 481), i=1, 2) / 18,   -47.3/
      data (eighteen_ghz(i, 482), i=1, 2) / 18.1, -47.3/
      data (eighteen_ghz(i, 483), i=1, 2) / 18.2, -47.3/
      data (eighteen_ghz(i, 484), i=1, 2) / 18.3, -47.3/
      data (eighteen_ghz(i, 485), i=1, 2) / 18.4, -47.3/
      data (eighteen_ghz(i, 486), i=1, 2) / 18.5, -47.3/
      data (eighteen_ghz(i, 487), i=1, 2) / 18.6, -47.3/
      data (eighteen_ghz(i, 488), i=1, 2) / 18.7, -47.3/
      data (eighteen_ghz(i, 489), i=1, 2) / 18.8, -47.3/
      data (eighteen_ghz(i, 490), i=1, 2) / 18.9, -47.3/
      data (eighteen_ghz(i, 491), i=1, 2) / 19,   -47.3/
      data (eighteen_ghz(i, 492), i=1, 2) / 19.1, -47.3/
      data (eighteen_ghz(i, 493), i=1, 2) / 19.2, -47.3/
      data (eighteen_ghz(i, 494), i=1, 2) / 19.3, -47.3/
      data (eighteen_ghz(i, 495), i=1, 2) / 19.4, -47.3/
      data (eighteen_ghz(i, 496), i=1, 2) / 19.5, -47.3/
      data (eighteen_ghz(i, 497), i=1, 2) / 19.6, -47.3/
      data (eighteen_ghz(i, 498), i=1, 2) / 19.7, -47.3/
      data (eighteen_ghz(i, 499), i=1, 2) / 19.8, -47.3/
      data (eighteen_ghz(i, 500), i=1, 2) / 19.9, -47.3/
      data (eighteen_ghz(i, 501), i=1, 2) / 20,   -47.3/
      data (eighteen_ghz(i, 502), i=1, 2) / 20.1, -47.32/
      data (eighteen_ghz(i, 503), i=1, 2) / 20.2, -47.34/
      data (eighteen_ghz(i, 504), i=1, 2) / 20.3, -47.36/
      data (eighteen_ghz(i, 505), i=1, 2) / 20.4, -47.38/
      data (eighteen_ghz(i, 506), i=1, 2) / 20.5, -47.4/
      data (eighteen_ghz(i, 507), i=1, 2) / 20.6, -47.42/
      data (eighteen_ghz(i, 508), i=1, 2) / 20.7, -47.44/
      data (eighteen_ghz(i, 509), i=1, 2) / 20.8, -47.46/
      data (eighteen_ghz(i, 510), i=1, 2) / 20.9, -47.48/
      data (eighteen_ghz(i, 511), i=1, 2) / 21,   -47.5/
      data (eighteen_ghz(i, 512), i=1, 2) / 21.1, -47.52/
      data (eighteen_ghz(i, 513), i=1, 2) / 21.2, -47.54/
      data (eighteen_ghz(i, 514), i=1, 2) / 21.3, -47.56/
      data (eighteen_ghz(i, 515), i=1, 2) / 21.4, -47.58/
      data (eighteen_ghz(i, 516), i=1, 2) / 21.5, -47.6/
      data (eighteen_ghz(i, 517), i=1, 2) / 21.6, -47.62/
      data (eighteen_ghz(i, 518), i=1, 2) / 21.7, -47.64/
      data (eighteen_ghz(i, 519), i=1, 2) / 21.8, -47.66/
      data (eighteen_ghz(i, 520), i=1, 2) / 21.9, -47.68/
      data (eighteen_ghz(i, 521), i=1, 2) / 22,   -47.7/
      data (eighteen_ghz(i, 522), i=1, 2) / 22.1, -47.72/
      data (eighteen_ghz(i, 523), i=1, 2) / 22.2, -47.74/
      data (eighteen_ghz(i, 524), i=1, 2) / 22.3, -47.76/
      data (eighteen_ghz(i, 525), i=1, 2) / 22.4, -47.78/
      data (eighteen_ghz(i, 526), i=1, 2) / 22.5, -47.8/
      data (eighteen_ghz(i, 527), i=1, 2) / 22.6, -47.82/
      data (eighteen_ghz(i, 528), i=1, 2) / 22.7, -47.84/
      data (eighteen_ghz(i, 529), i=1, 2) / 22.8, -47.86/
      data (eighteen_ghz(i, 530), i=1, 2) / 22.9, -47.88/
      data (eighteen_ghz(i, 531), i=1, 2) / 23,   -47.9/
      data (eighteen_ghz(i, 532), i=1, 2) / 23.1, -47.92/
      data (eighteen_ghz(i, 533), i=1, 2) / 23.2, -47.94/
      data (eighteen_ghz(i, 534), i=1, 2) / 23.3, -47.96/
      data (eighteen_ghz(i, 535), i=1, 2) / 23.4, -47.98/
      data (eighteen_ghz(i, 536), i=1, 2) / 23.5, -48/
      data (eighteen_ghz(i, 537), i=1, 2) / 23.6, -48.02/
      data (eighteen_ghz(i, 538), i=1, 2) / 23.7, -48.04/
      data (eighteen_ghz(i, 539), i=1, 2) / 23.8, -48.06/
      data (eighteen_ghz(i, 540), i=1, 2) / 23.9, -48.08/
      data (eighteen_ghz(i, 541), i=1, 2) / 24,   -48.1/
      data (eighteen_ghz(i, 542), i=1, 2) / 24.1, -48.12/
      data (eighteen_ghz(i, 543), i=1, 2) / 24.2, -48.14/
      data (eighteen_ghz(i, 544), i=1, 2) / 24.3, -48.16/
      data (eighteen_ghz(i, 545), i=1, 2) / 24.4, -48.18/
      data (eighteen_ghz(i, 546), i=1, 2) / 24.5, -48.2/
      data (eighteen_ghz(i, 547), i=1, 2) / 24.6, -48.22/
      data (eighteen_ghz(i, 548), i=1, 2) / 24.7, -48.24/
      data (eighteen_ghz(i, 549), i=1, 2) / 24.8, -48.26/
      data (eighteen_ghz(i, 550), i=1, 2) / 24.9, -48.28/
      data (eighteen_ghz(i, 551), i=1, 2) / 25,   -48.3/
      data (eighteen_ghz(i, 552), i=1, 2) / 25.1, -48.35/
      data (eighteen_ghz(i, 553), i=1, 2) / 25.2, -48.4/
      data (eighteen_ghz(i, 554), i=1, 2) / 25.3, -48.45/
      data (eighteen_ghz(i, 555), i=1, 2) / 25.4, -48.5/
      data (eighteen_ghz(i, 556), i=1, 2) / 25.5, -48.5/
      data (eighteen_ghz(i, 557), i=1, 2) / 25.6, -48.5/
      data (eighteen_ghz(i, 558), i=1, 2) / 25.7, -48.5/
      data (eighteen_ghz(i, 559), i=1, 2) / 25.8, -48.5/
      data (eighteen_ghz(i, 560), i=1, 2) / 25.9, -48.5/
      data (eighteen_ghz(i, 561), i=1, 2) / 26,   -48.5/
      data (eighteen_ghz(i, 562), i=1, 2) / 26.1, -48.5/
      data (eighteen_ghz(i, 563), i=1, 2) / 26.2, -48.5/
      data (eighteen_ghz(i, 564), i=1, 2) / 26.3, -48.5/
      data (eighteen_ghz(i, 565), i=1, 2) / 26.4, -48.5/
      data (eighteen_ghz(i, 566), i=1, 2) / 26.5, -48.5/
      data (eighteen_ghz(i, 567), i=1, 2) / 26.6, -48.5/
      data (eighteen_ghz(i, 568), i=1, 2) / 26.7, -48.5/
      data (eighteen_ghz(i, 569), i=1, 2) / 26.8, -48.5/
      data (eighteen_ghz(i, 570), i=1, 2) / 26.9, -48.5/
      data (eighteen_ghz(i, 571), i=1, 2) / 27,   -48.5/
      data (eighteen_ghz(i, 572), i=1, 2) / 27.1, -48.5/
      data (eighteen_ghz(i, 573), i=1, 2) / 27.2, -48.5/
      data (eighteen_ghz(i, 574), i=1, 2) / 27.3, -48.5/
      data (eighteen_ghz(i, 575), i=1, 2) / 27.4, -48.5/
      data (eighteen_ghz(i, 576), i=1, 2) / 27.5, -48.5/
      data (eighteen_ghz(i, 577), i=1, 2) / 27.6, -48.5/
      data (eighteen_ghz(i, 578), i=1, 2) / 27.7, -48.5/
      data (eighteen_ghz(i, 579), i=1, 2) / 27.8, -48.5/
      data (eighteen_ghz(i, 580), i=1, 2) / 27.9, -48.5/
      data (eighteen_ghz(i, 581), i=1, 2) / 28,   -48.5/
      data (eighteen_ghz(i, 582), i=1, 2) / 28.1, -48.5/
      data (eighteen_ghz(i, 583), i=1, 2) / 28.2, -48.5/
      data (eighteen_ghz(i, 584), i=1, 2) / 28.3, -48.5/
      data (eighteen_ghz(i, 585), i=1, 2) / 28.4, -48.5/
      data (eighteen_ghz(i, 586), i=1, 2) / 28.5, -48.5/
      data (eighteen_ghz(i, 587), i=1, 2) / 28.6, -48.5/
      data (eighteen_ghz(i, 588), i=1, 2) / 28.7, -48.5/
      data (eighteen_ghz(i, 589), i=1, 2) / 28.8, -48.5/
      data (eighteen_ghz(i, 590), i=1, 2) / 28.9, -48.5/
      data (eighteen_ghz(i, 591), i=1, 2) / 29,   -48.5/
      data (eighteen_ghz(i, 592), i=1, 2) / 29.1, -48.5/
      data (eighteen_ghz(i, 593), i=1, 2) / 29.2, -48.5/
      data (eighteen_ghz(i, 594), i=1, 2) / 29.3, -48.5/
      data (eighteen_ghz(i, 595), i=1, 2) / 29.4, -48.5/
      data (eighteen_ghz(i, 596), i=1, 2) / 29.5, -48.5/
      data (eighteen_ghz(i, 597), i=1, 2) / 29.6, -48.5/
      data (eighteen_ghz(i, 598), i=1, 2) / 29.7, -48.5/
      data (eighteen_ghz(i, 599), i=1, 2) / 29.8, -48.5/
      data (eighteen_ghz(i, 600), i=1, 2) / 29.9, -48.5/
      data (eighteen_ghz(i, 601), i=1, 2) / 30,   -48.5/
      end
