      function bear(latsecs1, lonsecs1, latsecs2, lonsecs2)
      double precision latsecs1, lonsecs1, latsecs2, lonsecs2
      double precision phi, kpd_lat, kpd_lon
      double precision PI, RADIANS
      parameter(
     &   PI = 3.141592654,
     &   RADIANS = PI/(180*3600),	!conversion of arc seconds to radians
     &   DEGREES = 180/PI)				!radians to degrees

c  FCC formulas for km per degree, Rules Section 73.208
c  when phi is the middle latitude

      kpd_lat(phi) = 111.13209 - 0.56605*cos(2*phi)
     &   + 0.00120*cos(4*phi)
      kpd_lon(phi) = 111.41513*cos(phi) - 0.09455*cos(3*phi)
     &   + 0.00012*cos(5*phi)

      phi = RADIANS*(latsecs1+latsecs2)/2		!latitude in radians
      x = kpd_lon(phi)*(lonsecs2-lonsecs1)	!3600 times km eastward
      y = kpd_lat(phi)*(latsecs2-latsecs1)	!3600 times km northward
      bear = atan2(x, y)		!Note x, y and bear are single precision
      bear = DEGREES*bear
      if (bear .lt. 0) bear = bear + 360.0

      return
      end
