      subroutine neighbors(close, link1, link2,
     &   neighboring, type_of_conflict, distance)

c  Find whether terminals of link1 and link2 are too close.  If so,
c  return the respective types (transmit or receive) of the terminals
c  and the distance from the link1 terminal to the link2 terminal.

      parameter(MAXLINKS = 131072)
      character*2 type_of_conflict		!TT, TR, RT or RR
      logical neighboring
      double precision tlatsecs(MAXLINKS), tlonsecs(MAXLINKS)
      double precision rlatsecs(MAXLINKS), rlonsecs(MAXLINKS)
      common /sites/ tlatsecs, tlonsecs, rlatsecs, rlonsecs

      distance_1t2r = dist(tlatsecs(link1), tlonsecs(link1),
     &   rlatsecs(link2), rlonsecs(link2))
      distance_1r2t = dist(rlatsecs(link1), rlonsecs(link1),
     &   tlatsecs(link2), tlonsecs(link2))

      neighboring = .false.
      distance = -1
      type_of_conflict = ' '

c  Is link2 (uprooted) receive site too close to link1 transmit site?

      if (distance_1t2r .lt. close) then
         neighboring =.true.
         type_of_conflict = 'TR'
         distance = distance_1t2r
         return

c  Is link1 (protected) receive site too close to link2 transmit site?

      else if (distance_1r2t .lt. close) then
         neighboring =.true.
         type_of_conflict = 'RT'
         distance = distance_1r2t
         return
      end if

      return
      end
