#!/bin/sh
close=100

total=`cat records | grep "18143.25" | wc -l`
printf '%3i %s\n' $total "PCOs in the 18 GHz band"

cat report.csv | grep '^.\{7\}, 1[78]' | grep "PCO #" | cut -c21-28 | \
	sort -u > not18.tmp
cat report.csv | grep '^.\{7\}, 1[23]' | grep "PCO #" | cut -c21-28 | \
	sort -u > not12.tmp
not18=`cat not18.tmp | wc -l`
not12=`cat not12.tmp | wc -l`
double=`cat not18.tmp not12.tmp | sort | uniq -d | wc -l`
printf '%3i %s\n' $not18 "cannot be accommodated in the 18 GHz band below 18300 GHz"
printf '%3i %s\n' $not12 "cannot be accommodated in the CARS band (12700-13200 MHz)"
printf '%3i %s\n' $double "cannot be accommodated in either of the alternative bands"

## records
#18143.25  WNTZ861     00120980.0  -0424115.1  00121269.8  -0424197.7    21T     63R 

## report.csv
#WHZ-684, 13133.75,T,PCO # 15, 18299.25,R,  312.0,   38.5,  312.2,  127.8, 362TR, 804R ,   2
#WPON573, 17745.00,T,PCO #  1, 18299.25,R,   31.3,   36.5,   35.7,  213.0,  11T , 260R ,   2

## too_close.csv
#WPTR962, 12762.50,T,WNTY543, 18299.25,R,   20.50, 713TR, 712R ,  10
#1234567890123456789012345678901234567890123456789012345678901234567
cat too_close.csv | grep '18...\.25,R' | grep '^.\{7\}, 1[78]'|\
	cut -c1-28,39- | sort -u > 18.tmp
echo
cat 18.tmp | cut -c32-38 > 18dist.tmp
touch 18list.tmp
for line in `cat 18dist.tmp`; do
	int=`echo $line | sed 's/\.//'`
	n=`expr \( $int + 50 \) / 100`
	if [ $n -lt $close ]; then
		echo "  " $line meters away >> 18list.tmp
	fi
done
num18=`cat 18list.tmp | wc -l`
echo $num18 "18-GHz PCO receiver(s) are near microwave transmitters in lower 18 GHz band"
if [ $num18 -ne 0 ]; then cat 18list.tmp; fi

echo
cat too_close.csv | grep '18...\.25,R' | grep '^.\{7\}, 1[23]'|\
	cut -c1-28,39- | sort -u > 12.tmp
cat 12.tmp | cut -c32-38 > 12dist.tmp
touch 12list.tmp
for line in `cat 12dist.tmp`; do
	int=`echo $line | sed 's/\.//'`
	n=`expr \( $int + 50 \) / 100`
	if [ $n -lt $close ]; then
		echo "  " $line meters away >> 12list.tmp
	fi
done
num12=`cat 12list.tmp | wc -l`
echo $num12 "18-GHz PCO receiver(s) are near transmitters in CARS band"
if [ $num12 -ne 0 ]; then cat 12list.tmp; fi

rm -f not18.tmp not12.tmp 18.tmp 12.tmp 18?ist.tmp 12?ist.tmp
